class FacebookFunctions:
	def page(self, page_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, page_id, fields=fields, **kwargs)

	def page_admin_notes(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'admin_notes', fields=fields, **kwargs)

	def page_albums(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'albums', fields=fields, **kwargs)

	def page_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_albums_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_albums_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_albums_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_albums_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_albums_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_albums_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_albums_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_albums_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_albums_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_albums_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_albums_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_albums_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_albums_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_albums_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_albums_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_albums_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_albums_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_albums_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_albums_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_assigned_users(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'assigned_users', fields=fields, **kwargs)

	def page_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'audio_copyrights', fields=fields, **kwargs)

	def page_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'bc_sponsored_posts', fields=fields, **kwargs)

	def page_blocked(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'blocked', fields=fields, **kwargs)

	def page_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'broadcast_messages', fields=fields, **kwargs)

	def page_business_activities(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'business_activities', fields=fields, **kwargs)

	def page_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'call_to_actions', fields=fields, **kwargs)

	def page_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'canvas_elements', fields=fields, **kwargs)

	def page_canvases(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'canvases', fields=fields, **kwargs)

	def page_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'checkin_posts', fields=fields, **kwargs)

	def page_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_checkin_posts_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_checkin_posts_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_checkin_posts_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_checkin_posts_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_checkin_posts_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_checkin_posts_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'claimed_urls', fields=fields, **kwargs)

	def page_conversations(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'conversations', fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'crosspost_pending_approval_pages', fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_crosspost_pending_approval_pages_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_pending_approval_pages_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'crosspost_whitelisted_pages', fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_crosspost_whitelisted_pages_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_crosspost_whitelisted_pages_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def page_curated_collections(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'curated_collections', fields=fields, **kwargs)

	def page_events(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'events', fields=fields, **kwargs)

	def page_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_events_admins_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_admins_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_admins_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_admins_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_admins_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_admins_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_admins_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_admins_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_admins_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_admins_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_admins_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_admins_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_admins_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_admins_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_admins_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_admins_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_admins_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_admins_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_admins_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_admins_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_admins_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_admins_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_admins_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_admins_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_admins_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_admins_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_admins_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_admins_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_admins_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_admins_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_admins_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_admins_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_admins_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_admins_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_admins_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_admins_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_admins_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_admins_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_admins_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_admins_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_admins_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_admins_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_admins_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_admins_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_admins_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_admins_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_admins_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_admins_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_admins_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_admins_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_admins_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_admins_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_admins_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_admins_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_admins_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_admins_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_admins_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_admins_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_admins_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_admins_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_admins_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_admins_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_admins_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_admins_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_admins_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_admins_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_admins_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_admins_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_admins(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_events_attending_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_attending_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_attending_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_attending_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_attending_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_attending_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_attending_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_attending_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_attending_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_attending_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_attending_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_attending_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_attending_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_attending_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_attending_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_attending_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_attending_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_attending_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_attending_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_attending_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_attending_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_attending_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_attending_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_attending_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_attending_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_attending_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_attending_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_attending_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_attending_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_attending_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_attending_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_attending_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_attending_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_attending_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_attending_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_attending_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_attending_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_attending_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_attending_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_attending_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_attending_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_attending_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_attending_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_attending_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_attending_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_attending_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_attending_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_attending_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_attending_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_attending_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_attending_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_attending_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_attending_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_attending_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_attending_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_attending_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_attending_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_attending_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_attending_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_attending_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_attending_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_attending_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_attending_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_attending_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_attending_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_attending_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_attending_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_attending_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_attending(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_events_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_events_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_events_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_events_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_events_declined_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_declined_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_declined_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_declined_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_declined_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_declined_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_declined_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_declined_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_declined_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_declined_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_declined_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_declined_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_declined_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_declined_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_declined_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_declined_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_declined_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_declined_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_declined_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_declined_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_declined_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_declined_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_declined_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_declined_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_declined_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_declined_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_declined_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_declined_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_declined_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_declined_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_declined_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_declined_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_declined_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_declined_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_declined_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_declined_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_declined_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_declined_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_declined_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_declined_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_declined_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_declined_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_declined_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_declined_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_declined_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_declined_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_declined_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_declined_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_declined_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_declined_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_declined_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_declined_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_declined_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_declined_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_declined_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_declined_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_declined_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_declined_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_declined_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_declined_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_declined_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_declined_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_declined_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_declined_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_declined_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_declined_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_declined_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_declined_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_declined(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_events_interested_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_interested_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_interested_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_interested_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_interested_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_interested_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_interested_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_interested_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_interested_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_interested_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_interested_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_interested_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_interested_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_interested_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_interested_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_interested_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_interested_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_interested_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_interested_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_interested_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_interested_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_interested_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_interested_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_interested_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_interested_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_interested_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_interested_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_interested_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_interested_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_interested_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_interested_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_interested_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_interested_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_interested_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_interested_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_interested_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_interested_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_interested_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_interested_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_interested_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_interested_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_interested_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_interested_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_interested_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_interested_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_interested_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_interested_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_interested_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_interested_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_interested_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_interested_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_interested_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_interested_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_interested_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_interested_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_interested_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_interested_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_interested_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_interested_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_interested_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_interested_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_interested_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_interested_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_interested_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_interested_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_interested_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_interested_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_interested_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_interested(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_events_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_events_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_events_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_events_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_events_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_events_maybe_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_maybe_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_maybe_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_maybe_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_maybe_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_maybe_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_maybe_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_maybe_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_maybe_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_maybe_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_maybe_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_maybe_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_maybe_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_maybe_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_maybe_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_maybe_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_maybe_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_maybe_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_maybe_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_maybe_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_maybe_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_maybe_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_maybe_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_maybe_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_maybe_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_maybe_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_maybe_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_maybe_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_maybe_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_maybe_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_maybe_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_maybe_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_maybe_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_maybe_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_maybe_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_maybe_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_maybe_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_maybe_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_maybe_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_maybe_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_maybe_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_maybe_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_maybe_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_maybe_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_maybe_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_maybe_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_maybe_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_maybe_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_maybe_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_maybe_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_maybe_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_maybe_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_maybe_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_maybe_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_maybe_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_maybe_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_maybe_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_maybe_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_maybe_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_maybe_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_maybe_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_maybe_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_maybe_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_maybe_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_maybe_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_maybe_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_maybe_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_maybe_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_maybe(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_events_noreply_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_noreply_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_noreply_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_noreply_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_noreply_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_noreply_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_noreply_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_noreply_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_noreply_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_noreply_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_noreply_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_noreply_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_noreply_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_noreply_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_noreply_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_noreply_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_noreply_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_noreply_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_noreply_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_noreply_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_noreply_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_noreply_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_noreply_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_noreply_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_noreply_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_noreply_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_noreply_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_noreply_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_noreply_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_noreply_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_noreply_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_noreply_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_noreply_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_noreply_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_noreply_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_noreply_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_noreply_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_noreply_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_noreply_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_noreply_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_noreply_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_noreply_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_noreply_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_noreply_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_noreply_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_noreply_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_noreply_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_noreply_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_noreply_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_noreply_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_noreply_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_noreply_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_noreply_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_noreply_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_noreply_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_noreply_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_noreply_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_noreply_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_noreply_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_noreply_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_noreply_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_noreply_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_noreply_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_noreply_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_noreply_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_noreply_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_noreply_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_noreply_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_noreply(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_events_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_events_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_events_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_events_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_events_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_events_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_events_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_events_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_events_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_events_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_events_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_events_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_events_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_events_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_events_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_events_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_events_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_events_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_events_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_events_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_events_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_events_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_events_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_events_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_events_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_events_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_events_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_events_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_events_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_events_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_events_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_events_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_events_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_events_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_events_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_events_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_events_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_events_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_events_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_events_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_events_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_events_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_events_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_events_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_events_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_events_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_events_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_events_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_events_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_events_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_events_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_events_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_events_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_events_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_events_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_events_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_events_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_events_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_events_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_events_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_events_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_events_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_events_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_events_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_events_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_events_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_events_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_events_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_events_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_events_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_events_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_events_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_events_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_events_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_events_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_events_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_events_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_events_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_events_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_events_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_events_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_events_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_events_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_events_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_events_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_events_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_events_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_events_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_events_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_events_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_events_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_events_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_events_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_events_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'featured_videos_collection', fields=fields, **kwargs)

	def page_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_featured_videos_collection_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_featured_videos_collection_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_featured_videos_collection_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_featured_videos_collection_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_featured_videos_collection_crosspost_shared_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_crosspost_shared_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_featured_videos_collection_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_feed(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'feed', fields=fields, **kwargs)

	def page_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_feed_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_feed_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_feed_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_feed_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_feed_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_feed_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_feed_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_feed_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_feed_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_feed_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_feed_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_feed_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'global_brand_children', fields=fields, **kwargs)

	def page_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_global_brand_children_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_global_brand_children_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_global_brand_children_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_global_brand_children_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_global_brand_children_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_global_brand_children_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_global_brand_children_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_global_brand_children_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_global_brand_children_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_global_brand_children_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_global_brand_children_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_global_brand_children_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_global_brand_children_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_global_brand_children_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_global_brand_children_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_global_brand_children_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_global_brand_children_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_global_brand_children_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_global_brand_children_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_global_brand_children_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_global_brand_children_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_global_brand_children_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_global_brand_children_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_global_brand_children_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_global_brand_children_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_global_brand_children_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_global_brand_children_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_global_brand_children_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_global_brand_children_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_global_brand_children_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_global_brand_children_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_global_brand_children_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_global_brand_children_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_global_brand_children_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_global_brand_children_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_global_brand_children_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_global_brand_children_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_global_brand_children_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_global_brand_children_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_global_brand_children_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_global_brand_children_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_global_brand_children_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_global_brand_children_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_global_brand_children_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_global_brand_children_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_global_brand_children_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_global_brand_children_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_global_brand_children_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_global_brand_children_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_global_brand_children_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_global_brand_children_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_global_brand_children_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_global_brand_children_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_global_brand_children_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_global_brand_children_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_global_brand_children_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_global_brand_children_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_global_brand_children_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_global_brand_children_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_global_brand_children_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_global_brand_children_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_global_brand_children_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_global_brand_children_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_global_brand_children_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_global_brand_children_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_global_brand_children_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_global_brand_children_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_global_brand_children_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_global_brand_children_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_global_brand_children_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_global_brand_children_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_global_brand_children_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_global_brand_children_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_global_brand_children_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_global_brand_children_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_global_brand_children_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_global_brand_children_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_global_brand_children_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_global_brand_children_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_global_brand_children_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_global_brand_children_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_global_brand_children_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_global_brand_children_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_global_brand_children_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_global_brand_children_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_global_brand_children_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_global_brand_children_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_global_brand_children_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_global_brand_children_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_global_brand_children_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_global_brand_children_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_global_brand_children_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_global_brand_children_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_global_brand_children_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_global_brand_children_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_global_brand_children_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_global_brand_children_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_global_brand_children_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_global_brand_children_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_global_brand_children_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_global_brand_children_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_global_brand_children_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_global_brand_children_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_global_brand_children_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_global_brand_children_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_global_brand_children_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_global_brand_children_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_global_brand_children_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_global_brand_children_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_global_brand_children_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_global_brand_children_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_global_brand_children_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_global_brand_children_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_global_brand_children_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_global_brand_children_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_global_brand_children_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_global_brand_children_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_global_brand_children_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_global_brand_children_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_global_brand_children_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_global_brand_children_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_global_brand_children_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_global_brand_children_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_global_brand_children_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_global_brand_children_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_global_brand_children_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_global_brand_children_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_global_brand_children_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_global_brand_children_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_global_brand_children_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_global_brand_children_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_global_brand_children_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_global_brand_children_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_global_brand_children_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_global_brand_children_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_global_brand_children_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def page_insights(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'insights', fields=fields, **kwargs)

	def page_instant_articles(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'instant_articles', fields=fields, **kwargs)

	def page_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'instant_articles_insights', fields=fields, **kwargs)

	def page_labels(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'labels', fields=fields, **kwargs)

	def page_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_conditional_questions_group', fields=fields, **kwargs)

	def page_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_context_cards', fields=fields, **kwargs)

	def page_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_draft_forms', fields=fields, **kwargs)

	def page_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_forms', fields=fields, **kwargs)

	def page_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_legal_content', fields=fields, **kwargs)

	def page_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_qualifiers', fields=fields, **kwargs)

	def page_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'leadgen_whitelisted_users', fields=fields, **kwargs)

	def page_likes(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'likes', fields=fields, **kwargs)

	def page_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_likes_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_likes_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_likes_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_likes_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_likes_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_likes_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_likes_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_likes_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_likes_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_likes_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_likes_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_likes_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_likes_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_likes_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_likes_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_likes_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_likes_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_likes_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_likes_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_likes_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_likes_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_likes_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_likes_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_likes_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_likes_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_likes_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_likes_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_likes_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_likes_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_likes_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_likes_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_likes_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_likes_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_likes_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_likes_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_likes_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_likes_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_likes_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_likes_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_likes_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_likes_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_likes_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_likes_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_likes_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_likes_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_likes_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_likes_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_likes_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_likes_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_likes_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_likes_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_likes_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_likes_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_likes_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_likes_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_likes_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_likes_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_likes_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_likes_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_likes_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_likes_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_likes_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_likes_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_likes_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_likes_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_likes_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_likes_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_likes_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_likes_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_likes_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_likes_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_likes_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_likes_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_likes_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_likes_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_likes_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_likes_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_likes_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_likes_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_likes_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_likes_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_likes_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_likes_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_likes_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_likes_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_likes_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_likes_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_likes_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_likes_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_likes_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_likes_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_likes_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_likes_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_likes_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_likes_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_likes_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_likes_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_likes_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_likes_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_likes_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_likes_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_likes_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_likes_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_likes_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_likes_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_likes_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_likes_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_likes_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_likes_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_likes_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_likes_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_likes_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_likes_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_likes_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_likes_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_likes_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_likes_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_likes_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_likes_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_likes_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_likes_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_likes_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_likes_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_likes_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_likes_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_likes_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_likes_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_likes_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_likes_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_likes_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_likes_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_likes_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_likes_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_likes_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_likes_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_likes_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_likes_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_likes_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_likes_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_likes_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_likes_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_likes_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_likes_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_likes_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_likes_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_likes_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_likes_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_likes_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_likes_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_likes_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_likes_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_likes_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_likes_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_likes_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_likes_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_likes_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_likes_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_likes_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_likes_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_likes_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_likes_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_likes_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_likes_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_likes_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_likes_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def page_live_encoders(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'live_encoders', fields=fields, **kwargs)

	def page_live_videos(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'live_videos', fields=fields, **kwargs)

	def page_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_live_videos_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_live_videos_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_live_videos_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_live_videos_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_locations(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'locations', fields=fields, **kwargs)

	def page_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_locations_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_locations_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_locations_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_locations_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_locations_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_checkin_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_checkin_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_checkin_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_checkin_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_checkin_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_checkin_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_checkin_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_checkin_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_crosspost_pending_approval_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_pending_approval_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_crosspost_whitelisted_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_crosspost_whitelisted_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_locations_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_locations_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_locations_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_locations_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_locations_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_locations_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_locations_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_locations_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_locations_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_locations_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_locations_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_locations_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_locations_featured_videos_collection_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_featured_videos_collection(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_global_brand_children_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_global_brand_children_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_global_brand_children_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_global_brand_children_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_global_brand_children_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_global_brand_children_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_global_brand_children_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_global_brand_children_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_global_brand_children_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_global_brand_children_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_global_brand_children_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_global_brand_children_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_global_brand_children_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_global_brand_children_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_global_brand_children_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_global_brand_children_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_global_brand_children_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_global_brand_children_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_global_brand_children_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_global_brand_children_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_global_brand_children_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_global_brand_children_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_global_brand_children_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_global_brand_children_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_global_brand_children_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_global_brand_children_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_global_brand_children_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_global_brand_children_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_global_brand_children_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_global_brand_children_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_global_brand_children_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_global_brand_children_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_global_brand_children_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_global_brand_children_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_global_brand_children_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_global_brand_children_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_global_brand_children_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_global_brand_children_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_global_brand_children_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_global_brand_children_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_global_brand_children_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_global_brand_children_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_global_brand_children_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_global_brand_children_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_global_brand_children_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_global_brand_children_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_global_brand_children_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_global_brand_children_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_global_brand_children_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_global_brand_children_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_global_brand_children_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_global_brand_children_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_global_brand_children_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_global_brand_children_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_global_brand_children_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_global_brand_children_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_global_brand_children_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_global_brand_children_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_global_brand_children_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_global_brand_children_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_global_brand_children_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_global_brand_children_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_global_brand_children_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_global_brand_children_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_global_brand_children_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_global_brand_children_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_global_brand_children_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_global_brand_children(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_locations_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_locations_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_locations_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_locations_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_locations_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_locations_locations_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_locations_locations_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_locations_locations_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_locations_locations_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_locations_locations_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_locations_locations_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_locations_locations_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_locations_locations_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_locations_locations_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_locations_locations_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_locations_locations_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_locations_locations_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_locations_locations_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_locations_locations_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_locations_locations_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_locations_locations_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_locations_locations_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_locations_locations_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_locations_locations_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_locations_locations_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_locations_locations_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_locations_locations_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_locations_locations_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_locations_locations_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_locations_locations_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_locations_locations_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_locations_locations_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_locations_locations_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_locations_locations_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_locations_locations_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_locations_locations_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_locations_locations_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_locations_locations_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_locations_locations_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_locations_locations_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_locations_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_locations_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_locations_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_locations_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_locations_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_locations_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_locations_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_locations_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_locations_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_locations_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_locations_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_locations_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_locations_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_locations_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_locations_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_locations_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_locations_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_locations_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_locations_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_locations_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_locations_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_locations_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_locations_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_locations_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_locations_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_locations_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_locations_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_locations_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_locations_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_locations_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_locations_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_locations_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_locations_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_locations_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_locations_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_locations_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_locations_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_locations_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_locations_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_locations_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_locations_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_locations_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_locations_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_locations_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_locations_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_locations_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_locations_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_locations_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_locations_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_locations_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_locations_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_locations_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_locations_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_locations_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_locations_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_locations_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_locations_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_locations_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_locations_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_locations_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_locations_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_locations_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_locations_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_locations_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_locations_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_locations_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_locations_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_locations_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_locations_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_locations_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_locations_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_locations_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_locations_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_locations_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_locations_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_locations_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_locations_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_locations_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_locations_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_locations_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_locations_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_locations_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_locations_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_locations_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_locations_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_locations_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_locations_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_locations_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_locations_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_locations_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_locations_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_locations_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_locations_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_locations_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_locations_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_locations_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_locations_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_locations_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_locations_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_locations_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_locations_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_locations_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_locations_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_locations_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_locations_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_locations_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_locations_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_locations_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_locations_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_locations_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_locations_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_locations_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_locations_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_locations_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_locations_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_locations_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_locations_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_locations_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_locations_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_locations_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_locations_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_locations_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_locations_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_locations_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_locations_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_locations_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_locations_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_locations_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_locations_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_locations_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_locations_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_locations_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_locations_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_locations_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_locations_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_locations_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_locations_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_locations_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_locations_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_locations_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_locations_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_locations_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_locations_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_locations_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_locations_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_locations_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_locations_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def page_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'media_fingerprints', fields=fields, **kwargs)

	def page_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'messenger_profile', fields=fields, **kwargs)

	def page_milestones(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'milestones', fields=fields, **kwargs)

	def page_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'nativeoffers', fields=fields, **kwargs)

	def page_offers_v3(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'offers_v3', fields=fields, **kwargs)

	def page_pending_users(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'pending_users', fields=fields, **kwargs)

	def page_photos(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'photos', fields=fields, **kwargs)

	def page_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_photos_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_photos_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_photos_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_photos_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_photos_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_photos_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_photos_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_photos_sponsor_tags_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_photos_sponsor_tags_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_photos_sponsor_tags_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_photos_sponsor_tags_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_photos_sponsor_tags_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_photos_sponsor_tags_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_photos_sponsor_tags_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_photos_sponsor_tags_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_photos_sponsor_tags_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_photos_sponsor_tags_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_photos_sponsor_tags_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_photos_sponsor_tags_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_photos_sponsor_tags_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_photos_sponsor_tags_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_photos_sponsor_tags_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_photos_sponsor_tags_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_photos_sponsor_tags_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_photos_sponsor_tags_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_photos_sponsor_tags_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_photos_sponsor_tags_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_photos_sponsor_tags_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_photos_sponsor_tags_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_photos_sponsor_tags_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_photos_sponsor_tags_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_photos_sponsor_tags_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_photos_sponsor_tags_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_photos_sponsor_tags_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_photos_sponsor_tags_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_photos_sponsor_tags_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_photos_sponsor_tags_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_photos_sponsor_tags_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_photos_sponsor_tags_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_photos_sponsor_tags_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_photos_sponsor_tags_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_photos_sponsor_tags_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_photos_sponsor_tags_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_photos_sponsor_tags_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_photos_sponsor_tags_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_photos_sponsor_tags_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_photos_sponsor_tags_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_photos_sponsor_tags_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_photos_sponsor_tags_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_photos_sponsor_tags_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_photos_sponsor_tags_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_photos_sponsor_tags_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_photos_sponsor_tags_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_photos_sponsor_tags_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_photos_sponsor_tags_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_photos_sponsor_tags_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_photos_sponsor_tags_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_photos_sponsor_tags_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_photos_sponsor_tags_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_photos_sponsor_tags_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_photos_sponsor_tags_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_photos_sponsor_tags_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_photos_sponsor_tags_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_photos_sponsor_tags_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_photos_sponsor_tags_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_photos_sponsor_tags_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_photos_sponsor_tags_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_photos_sponsor_tags_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_photos_sponsor_tags_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_photos_sponsor_tags_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_photos_sponsor_tags_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_photos_sponsor_tags_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_photos_sponsor_tags_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_sponsor_tags(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_photos_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_photos_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_photos_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_photos_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_photos_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_picture(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'picture', fields=fields, **kwargs)

	def page_place_topics(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'place_topics', fields=fields, **kwargs)

	def page_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'posts', fields=fields, **kwargs)

	def page_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_posts_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_posts_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_posts_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_posts_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_posts_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_posts_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_posts_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_posts_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_posts_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_posts_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_posts_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_posts_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'product_catalogs', fields=fields, **kwargs)

	def page_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'promotable_posts', fields=fields, **kwargs)

	def page_published_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'published_posts', fields=fields, **kwargs)

	def page_ratings(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'ratings', fields=fields, **kwargs)

	def page_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'restaurant_orders', fields=fields, **kwargs)

	def page_roles(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'roles', fields=fields, **kwargs)

	def page_roles_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_albums_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_picture, fields=fields, **kwargs)

	def page_roles_albums_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_photos, fields=fields, **kwargs)

	def page_roles_albums_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def page_roles_albums_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_likes, fields=fields, **kwargs)

	def page_roles_albums_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def page_roles_albums_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_albums(page_id), 'id', self.album_comments, fields=fields, **kwargs)

	def page_roles_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_events_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_admins, fields=fields, **kwargs)

	def page_roles_events_attending(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_attending, fields=fields, **kwargs)

	def page_roles_events_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_comments, fields=fields, **kwargs)

	def page_roles_events_declined(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_declined, fields=fields, **kwargs)

	def page_roles_events_interested(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_interested, fields=fields, **kwargs)

	def page_roles_events_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def page_roles_events_maybe(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def page_roles_events_noreply(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def page_roles_events_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_photos, fields=fields, **kwargs)

	def page_roles_events_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_picture, fields=fields, **kwargs)

	def page_roles_events_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_roles, fields=fields, **kwargs)

	def page_roles_events_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_videos, fields=fields, **kwargs)

	def page_roles_events_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_events(page_id), 'id', self.event_feed, fields=fields, **kwargs)

	def page_roles_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_family_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_family_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_family_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_family_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_family_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_family_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_family_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_family_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_family_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_family_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_family_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_family_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_family_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_family_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_family_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_family_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_family_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_family_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_family_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_family_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_family_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_family_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_family_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_family_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_family_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_family_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_family_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_family_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_family_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_family_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_family_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_family_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_family_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_family_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_family_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_family_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_family_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_family_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_family_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_family_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_family_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_family_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_family_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_family_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_family_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_family_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_family_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_family_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_family_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_family_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_family_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_family_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_family_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_family_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_family_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_family_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_family_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_family_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_family_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_family_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_family_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_family_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_family_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_family_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_family_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_family_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_family_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_family_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_family(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_friends_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_friends_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_friends_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_friends_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_friends_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_friends_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_friends_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_friends_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_friends_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_friends_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_friends_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_friends_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_friends_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_friends_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_friends_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_friends_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_friends_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_friends_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_friends_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_friends_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_friends_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_friends_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_friends_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_friends_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_friends_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_friends_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_friends_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_friends_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_friends_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_friends_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_friends_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_friends_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_friends_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_friends_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_friends_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_friends_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_friends_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_friends_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_friends_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_friends_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_friends_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_friends_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_friends_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_friends_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_friends_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_friends_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_friends_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_friends_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_friends_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_friends_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_friends_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_friends_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_friends_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_friends_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_friends_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_friends_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_friends_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_friends_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_friends_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_friends_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_friends_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_friends_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_friends_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_friends_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_friends_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_friends_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_friends_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_friends_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_friends(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_groups_admins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_admins, fields=fields, **kwargs)

	def page_roles_groups_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_albums, fields=fields, **kwargs)

	def page_roles_groups_docs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_docs, fields=fields, **kwargs)

	def page_roles_groups_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_events, fields=fields, **kwargs)

	def page_roles_groups_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_feed, fields=fields, **kwargs)

	def page_roles_groups_files(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_files, fields=fields, **kwargs)

	def page_roles_groups_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def page_roles_groups_members(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_members, fields=fields, **kwargs)

	def page_roles_groups_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_photos, fields=fields, **kwargs)

	def page_roles_groups_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_groups(page_id), 'id', self.group_videos, fields=fields, **kwargs)

	def page_roles_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_likes_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_roles_likes_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_roles_likes_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_roles_likes_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_roles_likes_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_roles_likes_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_roles_likes_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_roles_likes_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_roles_likes_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_roles_likes_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_roles_likes_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_roles_likes_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_roles_likes_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_roles_likes_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_roles_likes_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_roles_likes_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_roles_likes_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_roles_likes_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_roles_likes_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_roles_likes_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_roles_likes_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_roles_likes_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_roles_likes_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_roles_likes_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_roles_likes_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_roles_likes_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_roles_likes_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_roles_likes_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_roles_likes_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_roles_likes_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_roles_likes_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_roles_likes_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_roles_likes_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_roles_likes_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_roles_likes_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_roles_likes_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_roles_likes_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_roles_likes_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_roles_likes_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_roles_likes_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_roles_likes_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_roles_likes_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_roles_likes_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_roles_likes_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_roles_likes_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_roles_likes_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_roles_likes_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_roles_likes_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_roles_likes_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_roles_likes_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_roles_likes_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_roles_likes_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_roles_likes_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_roles_likes_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_roles_likes_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_roles_likes_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_roles_likes_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_roles_likes_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_roles_likes_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_roles_likes_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_roles_likes_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_roles_likes_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_roles_likes_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_roles_likes_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_roles_likes_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_roles_likes_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_roles_likes_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_roles_likes_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_roles_likes_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_roles_likes_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_roles_likes_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_roles_likes_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_roles_likes_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_roles_likes_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_roles_likes_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_roles_likes_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_roles_likes_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_roles_likes_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_roles_likes_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_likes(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_roles_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_live_videos_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_live_videos(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_roles_live_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_live_videos(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_roles_live_videos_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_live_videos(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_roles_live_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_live_videos(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_roles_live_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_live_videos(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_roles_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_photos_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def page_roles_photos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def page_roles_photos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def page_roles_photos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def page_roles_photos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def page_roles_photos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def page_roles_photos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_photos(page_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def page_roles_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_taggable_friends_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_taggable_friends_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_taggable_friends_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_taggable_friends_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_taggable_friends_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_taggable_friends_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_taggable_friends_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_taggable_friends_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_taggable_friends_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_taggable_friends_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_taggable_friends_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_taggable_friends_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_taggable_friends_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_taggable_friends_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_taggable_friends_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_taggable_friends_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_taggable_friends_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_taggable_friends_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_taggable_friends_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_taggable_friends_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_taggable_friends_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_taggable_friends_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_taggable_friends_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_taggable_friends_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_taggable_friends_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_taggable_friends_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_taggable_friends_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_taggable_friends_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_taggable_friends_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_taggable_friends_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_taggable_friends_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_taggable_friends_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_taggable_friends_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_taggable_friends_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_taggable_friends_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_taggable_friends_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_taggable_friends_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_taggable_friends_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_taggable_friends_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_taggable_friends_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_taggable_friends_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_taggable_friends_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_taggable_friends_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_taggable_friends_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_taggable_friends_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_taggable_friends_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_taggable_friends_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_taggable_friends_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_taggable_friends_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_taggable_friends_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_taggable_friends_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_taggable_friends_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_taggable_friends_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_taggable_friends_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_taggable_friends_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_taggable_friends_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_taggable_friends_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_taggable_friends_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_taggable_friends_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_taggable_friends_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_taggable_friends_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_taggable_friends_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_taggable_friends_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_taggable_friends_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_taggable_friends_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_taggable_friends_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_taggable_friends_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_taggable_friends_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_taggable_friends(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_roles_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_roles_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_roles_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_roles_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_roles_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_roles_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_roles_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_roles_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_roles_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_roles_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_roles_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_roles_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_roles_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_roles_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_roles_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_roles_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_feed_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_roles_feed_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_roles_feed_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_roles_feed_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_roles_feed_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_roles_feed_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_roles_feed_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_feed(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_roles_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_mutualfriends_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_mutualfriends_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_mutualfriends_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_mutualfriends_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_mutualfriends_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_mutualfriends_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_mutualfriends_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_mutualfriends_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_mutualfriends_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_mutualfriends_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_mutualfriends_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_mutualfriends_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_mutualfriends_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_mutualfriends_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_mutualfriends_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_mutualfriends_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_mutualfriends_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_mutualfriends_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_mutualfriends_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_mutualfriends_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_mutualfriends_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_mutualfriends_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_mutualfriends_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_mutualfriends_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_mutualfriends_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_mutualfriends_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_mutualfriends_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_mutualfriends_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_mutualfriends_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_mutualfriends_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_mutualfriends_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_mutualfriends_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_mutualfriends_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_mutualfriends_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_mutualfriends_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_mutualfriends_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_mutualfriends_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_mutualfriends_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_mutualfriends_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_mutualfriends_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_mutualfriends_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_mutualfriends_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_mutualfriends_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_mutualfriends_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_mutualfriends_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_mutualfriends_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_mutualfriends_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_mutualfriends_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_mutualfriends_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_mutualfriends_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_mutualfriends_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_mutualfriends_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_mutualfriends_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_mutualfriends_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_mutualfriends_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_mutualfriends_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_mutualfriends_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_mutualfriends_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_mutualfriends_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_mutualfriends_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_mutualfriends_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_mutualfriends_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_mutualfriends_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_mutualfriends_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_mutualfriends_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_mutualfriends_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_mutualfriends_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_mutualfriends_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_mutualfriends(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_subscribers_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_subscribers_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_subscribers_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_subscribers_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_subscribers_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_subscribers_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_subscribers_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_subscribers_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_subscribers_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_subscribers_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_subscribers_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_subscribers_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_subscribers_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_subscribers_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_subscribers_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_subscribers_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_subscribers_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_subscribers_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_subscribers_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_subscribers_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_subscribers_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_subscribers_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_subscribers_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_subscribers_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_subscribers_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_subscribers_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_subscribers_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_subscribers_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_subscribers_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_subscribers_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_subscribers_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_subscribers_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_subscribers_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_subscribers_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_subscribers_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_subscribers_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_subscribers_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_subscribers_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_subscribers_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_subscribers_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_subscribers_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_subscribers_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_subscribers_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_subscribers_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_subscribers_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_subscribers_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_subscribers_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_subscribers_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_subscribers_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_subscribers_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_subscribers_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_subscribers_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_subscribers_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_subscribers_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_subscribers_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_subscribers_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_subscribers_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_subscribers_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_subscribers_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_subscribers_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_subscribers_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_subscribers_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_subscribers_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_subscribers_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_subscribers_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_subscribers_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_subscribers_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_subscribers_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribers(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_roles_subscribedto_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def page_roles_subscribedto_achievements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def page_roles_subscribedto_ad_studies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def page_roles_subscribedto_adaccounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def page_roles_subscribedto_adcontracts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def page_roles_subscribedto_adnetworkanalytics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def page_roles_subscribedto_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_albums, fields=fields, **kwargs)

	def page_roles_subscribedto_apprequestformerrecipients(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def page_roles_subscribedto_apprequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def page_roles_subscribedto_asset3ds(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def page_roles_subscribedto_assigned_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def page_roles_subscribedto_assigned_monetization_properties(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def page_roles_subscribedto_assigned_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def page_roles_subscribedto_assigned_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def page_roles_subscribedto_books(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_books, fields=fields, **kwargs)

	def page_roles_subscribedto_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def page_roles_subscribedto_business_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def page_roles_subscribedto_businesses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def page_roles_subscribedto_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def page_roles_subscribedto_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def page_roles_subscribedto_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_domains, fields=fields, **kwargs)

	def page_roles_subscribedto_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_events, fields=fields, **kwargs)

	def page_roles_subscribedto_family(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_family, fields=fields, **kwargs)

	def page_roles_subscribedto_favorite_requests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def page_roles_subscribedto_friendlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def page_roles_subscribedto_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_friends, fields=fields, **kwargs)

	def page_roles_subscribedto_games(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_games, fields=fields, **kwargs)

	def page_roles_subscribedto_groups(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_groups, fields=fields, **kwargs)

	def page_roles_subscribedto_ids_for_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def page_roles_subscribedto_ids_for_business(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def page_roles_subscribedto_ids_for_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def page_roles_subscribedto_invitable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def page_roles_subscribedto_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def page_roles_subscribedto_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_likes, fields=fields, **kwargs)

	def page_roles_subscribedto_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def page_roles_subscribedto_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def page_roles_subscribedto_movies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_movies, fields=fields, **kwargs)

	def page_roles_subscribedto_music(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_music, fields=fields, **kwargs)

	def page_roles_subscribedto_objects(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_objects, fields=fields, **kwargs)

	def page_roles_subscribedto_permissions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def page_roles_subscribedto_personal_ad_accounts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def page_roles_subscribedto_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_photos, fields=fields, **kwargs)

	def page_roles_subscribedto_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_picture, fields=fields, **kwargs)

	def page_roles_subscribedto_promotable_domains(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def page_roles_subscribedto_promotable_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def page_roles_subscribedto_request_history(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def page_roles_subscribedto_rich_media_documents(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def page_roles_subscribedto_session_keys(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def page_roles_subscribedto_stream_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def page_roles_subscribedto_taggable_friends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def page_roles_subscribedto_tagged_places(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def page_roles_subscribedto_television(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_television, fields=fields, **kwargs)

	def page_roles_subscribedto_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_threads, fields=fields, **kwargs)

	def page_roles_subscribedto_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def page_roles_subscribedto_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_videos, fields=fields, **kwargs)

	def page_roles_subscribedto_checkins(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def page_roles_subscribedto_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_feed, fields=fields, **kwargs)

	def page_roles_subscribedto_friendrequests(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def page_roles_subscribedto_home(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_home, fields=fields, **kwargs)

	def page_roles_subscribedto_inbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def page_roles_subscribedto_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_locations, fields=fields, **kwargs)

	def page_roles_subscribedto_mutualfriends(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def page_roles_subscribedto_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def page_roles_subscribedto_outbox(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def page_roles_subscribedto_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_questions, fields=fields, **kwargs)

	def page_roles_subscribedto_scores(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_scores, fields=fields, **kwargs)

	def page_roles_subscribedto_subscribers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def page_roles_subscribedto_subscribedto(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_roles_subscribedto(page_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def page_saved_filters(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'saved_filters', fields=fields, **kwargs)

	def page_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'saved_message_responses', fields=fields, **kwargs)

	def page_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'scheduled_posts', fields=fields, **kwargs)

	def page_scheduled_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_scheduled_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_scheduled_posts_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_scheduled_posts_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_scheduled_posts_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_scheduled_posts_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_scheduled_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_scheduled_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_scheduled_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_scheduled_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_scheduled_posts_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_scheduled_posts_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_screennames(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'screennames', fields=fields, **kwargs)

	def page_seasons(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'seasons', fields=fields, **kwargs)

	def page_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'secondary_receivers', fields=fields, **kwargs)

	def page_settings(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'settings', fields=fields, **kwargs)

	def page_show_playlists(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'show_playlists', fields=fields, **kwargs)

	def page_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'subscribed_apps', fields=fields, **kwargs)

	def page_tabs(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'tabs', fields=fields, **kwargs)

	def page_tagged(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'tagged', fields=fields, **kwargs)

	def page_tagged_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_tagged_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_tagged_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_tagged_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_tagged_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_tagged_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_tagged_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_tagged_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_tagged_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_tagged_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_tagged_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_tagged_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_tagged_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_tagged_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_tagged_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_tagged_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_tagged_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_tagged_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_tagged_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_thread_settings(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'thread_settings', fields=fields, **kwargs)

	def page_threads(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'threads', fields=fields, **kwargs)

	def page_tours(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'tours', fields=fields, **kwargs)

	def page_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'video_broadcasts', fields=fields, **kwargs)

	def page_video_broadcasts_blocked_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts(page_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def page_video_broadcasts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts(page_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def page_video_broadcasts_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_video_broadcasts_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_video_broadcasts_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_video_broadcasts_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_video_broadcasts_errors(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts(page_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def page_video_broadcasts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts(page_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def page_video_broadcasts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_video_broadcasts(page_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def page_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'video_copyright_rules', fields=fields, **kwargs)

	def page_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'video_copyrights', fields=fields, **kwargs)

	def page_video_lists(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'video_lists', fields=fields, **kwargs)

	def page_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'video_media_copyrights', fields=fields, **kwargs)

	def page_videos(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'videos', fields=fields, **kwargs)

	def page_videos_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_videos_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_videos_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_videos_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_videos_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_videos_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_videos_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_videos_crosspost_shared_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_crosspost_shared_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_videos_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_videos_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_videos_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_videos_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_videos_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_videos_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_videos_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_videos_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_videos_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_videos_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_videos_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_videos_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_videos_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_videos_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'videos_you_can_use', fields=fields, **kwargs)

	def page_videos_you_can_use_auto_generated_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def page_videos_you_can_use_captions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_captions, fields=fields, **kwargs)

	def page_videos_you_can_use_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_comments, fields=fields, **kwargs)

	def page_videos_you_can_use_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_videos_you_can_use_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_videos_you_can_use_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_videos_you_can_use_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_admin_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_albums(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_albums, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_assigned_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_audio_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_bc_sponsored_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_blocked(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_broadcast_messages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_business_activities(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_call_to_actions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_canvas_elements(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_canvases(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_checkin_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_claimed_urls(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_conversations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_crosspost_pending_approval_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_crosspost_whitelisted_pages(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_curated_collections(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_events(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_events, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_featured_videos_collection(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_feed(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_feed, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_global_brand_children(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_insights, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_instant_articles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_instant_articles_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_labels(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_labels, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_conditional_questions_group(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_context_cards(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_draft_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_forms(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_legal_content(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_qualifiers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_leadgen_whitelisted_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_likes, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_live_encoders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_live_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_locations(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_locations, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_media_fingerprints(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_messenger_profile(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_milestones(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_nativeoffers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_offers_v3(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_pending_users(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_photos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_photos, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_picture(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_picture, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_place_topics(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_product_catalogs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_promotable_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_published_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_ratings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_restaurant_orders(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_roles(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_roles, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_saved_filters(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_saved_message_responses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_scheduled_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_screennames(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_seasons(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_secondary_receivers(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_settings, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_show_playlists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_subscribed_apps(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_tabs(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_tagged(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_thread_settings(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_threads(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_threads, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_tours(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_tours, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_video_broadcasts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_video_copyright_rules(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_video_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_video_lists(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_video_media_copyrights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_videos(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_videos, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_videos_you_can_use(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_workflows(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_notes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_notes, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_notifications(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_questions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_questions, fields=fields, **kwargs)

	def page_videos_you_can_use_crosspost_shared_pages_statuses(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_crosspost_shared_pages(page_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def page_videos_you_can_use_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_likes, fields=fields, **kwargs)

	def page_videos_you_can_use_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_videos_you_can_use_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_videos_you_can_use_sponsor_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def page_videos_you_can_use_tags(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_tags, fields=fields, **kwargs)

	def page_videos_you_can_use_thumbnails(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def page_videos_you_can_use_video_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_videos_you_can_use(page_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def page_visitor_posts(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'visitor_posts', fields=fields, **kwargs)

	def page_visitor_posts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_visitor_posts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_visitor_posts_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_visitor_posts_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_visitor_posts_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_visitor_posts_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_visitor_posts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_visitor_posts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_visitor_posts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_visitor_posts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_attachments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_comments, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_insights(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_insights, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_likes, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def page_visitor_posts_sharedposts_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_visitor_posts_sharedposts(page_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def page_workflows(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'workflows', fields=fields, **kwargs)

	def page_notes(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'notes', fields=fields, **kwargs)

	def page_notifications(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'notifications', fields=fields, **kwargs)

	def page_questions(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'questions', fields=fields, **kwargs)

	def page_statuses(self, page_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, page_id, 'statuses', fields=fields, **kwargs)

	def page_statuses_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses(page_id), 'id', self.status_likes, fields=fields, **kwargs)

	def page_statuses_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses(page_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def page_statuses_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses(page_id), 'id', self.status_comments, fields=fields, **kwargs)

	def page_statuses_comments_comments(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses_comments(page_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def page_statuses_comments_likes(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses_comments(page_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def page_statuses_comments_reactions(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses_comments(page_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def page_statuses_comments_private_replies(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses_comments(page_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def page_statuses_sharedposts(self, page_id, fields=None, **kwargs):
		return self.iter_iter(self.page_statuses(page_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def post(self, post_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, post_id, fields=fields, **kwargs)

	def post_attachments(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'attachments', fields=fields, **kwargs)

	def post_comments(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'comments', fields=fields, **kwargs)

	def post_comments_comments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_comments(post_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def post_comments_likes(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_comments(post_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def post_comments_reactions(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_comments(post_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def post_comments_private_replies(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_comments(post_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def post_insights(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'insights', fields=fields, **kwargs)

	def post_likes(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'likes', fields=fields, **kwargs)

	def post_private_replies(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'private_replies', fields=fields, **kwargs)

	def post_reactions(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'reactions', fields=fields, **kwargs)

	def post_sharedposts(self, post_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, post_id, 'sharedposts', fields=fields, **kwargs)

	def post_sharedposts_attachments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def post_sharedposts_comments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_comments, fields=fields, **kwargs)

	def post_sharedposts_comments_comments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_comments(post_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def post_sharedposts_comments_likes(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_comments(post_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def post_sharedposts_comments_reactions(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_comments(post_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def post_sharedposts_comments_private_replies(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_comments(post_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def post_sharedposts_insights(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_insights, fields=fields, **kwargs)

	def post_sharedposts_likes(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_likes, fields=fields, **kwargs)

	def post_sharedposts_private_replies(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def post_sharedposts_reactions(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def post_sharedposts_sharedposts(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts(post_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_attachments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_comments(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_comments, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_insights(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_insights, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_likes(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_likes, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_private_replies(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_reactions(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def post_sharedposts_sharedposts_sharedposts(self, post_id, fields=None, **kwargs):
		return self.iter_iter(self.post_sharedposts_sharedposts(post_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def comment(self, comment_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, comment_id, fields=fields, **kwargs)

	def comment_comments(self, comment_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, comment_id, 'comments', fields=fields, **kwargs)

	def comment_likes(self, comment_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, comment_id, 'likes', fields=fields, **kwargs)

	def comment_reactions(self, comment_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, comment_id, 'reactions', fields=fields, **kwargs)

	def comment_private_replies(self, comment_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, comment_id, 'private_replies', fields=fields, **kwargs)

	def album(self, album_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, album_id, fields=fields, **kwargs)

	def album_picture(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'picture', fields=fields, **kwargs)

	def album_photos(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'photos', fields=fields, **kwargs)

	def album_photos_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def album_photos_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def album_photos_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def album_photos_sharedposts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def album_photos_sharedposts_attachments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def album_photos_sharedposts_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_comments, fields=fields, **kwargs)

	def album_photos_sharedposts_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_insights, fields=fields, **kwargs)

	def album_photos_sharedposts_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_likes, fields=fields, **kwargs)

	def album_photos_sharedposts_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def album_photos_sharedposts_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def album_photos_sharedposts_sharedposts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sharedposts(album_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def album_photos_sponsor_tags(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def album_photos_sponsor_tags_admin_notes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def album_photos_sponsor_tags_albums(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_albums, fields=fields, **kwargs)

	def album_photos_sponsor_tags_assigned_users(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def album_photos_sponsor_tags_audio_copyrights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def album_photos_sponsor_tags_bc_sponsored_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_blocked(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def album_photos_sponsor_tags_broadcast_messages(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def album_photos_sponsor_tags_business_activities(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def album_photos_sponsor_tags_call_to_actions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def album_photos_sponsor_tags_canvas_elements(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def album_photos_sponsor_tags_canvases(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def album_photos_sponsor_tags_checkin_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_claimed_urls(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def album_photos_sponsor_tags_conversations(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def album_photos_sponsor_tags_crosspost_pending_approval_pages(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def album_photos_sponsor_tags_crosspost_whitelisted_pages(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def album_photos_sponsor_tags_curated_collections(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def album_photos_sponsor_tags_events(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_events, fields=fields, **kwargs)

	def album_photos_sponsor_tags_featured_videos_collection(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def album_photos_sponsor_tags_feed(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_feed, fields=fields, **kwargs)

	def album_photos_sponsor_tags_global_brand_children(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def album_photos_sponsor_tags_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_insights, fields=fields, **kwargs)

	def album_photos_sponsor_tags_instant_articles(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def album_photos_sponsor_tags_instant_articles_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def album_photos_sponsor_tags_labels(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_labels, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_conditional_questions_group(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_context_cards(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_draft_forms(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_forms(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_legal_content(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_qualifiers(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def album_photos_sponsor_tags_leadgen_whitelisted_users(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def album_photos_sponsor_tags_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_likes, fields=fields, **kwargs)

	def album_photos_sponsor_tags_live_encoders(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def album_photos_sponsor_tags_live_videos(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def album_photos_sponsor_tags_locations(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_locations, fields=fields, **kwargs)

	def album_photos_sponsor_tags_media_fingerprints(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def album_photos_sponsor_tags_messenger_profile(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def album_photos_sponsor_tags_milestones(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def album_photos_sponsor_tags_nativeoffers(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def album_photos_sponsor_tags_offers_v3(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def album_photos_sponsor_tags_pending_users(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def album_photos_sponsor_tags_photos(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_photos, fields=fields, **kwargs)

	def album_photos_sponsor_tags_picture(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_picture, fields=fields, **kwargs)

	def album_photos_sponsor_tags_place_topics(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def album_photos_sponsor_tags_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_product_catalogs(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def album_photos_sponsor_tags_promotable_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_published_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_ratings(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def album_photos_sponsor_tags_restaurant_orders(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def album_photos_sponsor_tags_roles(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_roles, fields=fields, **kwargs)

	def album_photos_sponsor_tags_saved_filters(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def album_photos_sponsor_tags_saved_message_responses(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def album_photos_sponsor_tags_scheduled_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_screennames(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def album_photos_sponsor_tags_seasons(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def album_photos_sponsor_tags_secondary_receivers(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def album_photos_sponsor_tags_settings(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_settings, fields=fields, **kwargs)

	def album_photos_sponsor_tags_show_playlists(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def album_photos_sponsor_tags_subscribed_apps(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def album_photos_sponsor_tags_tabs(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def album_photos_sponsor_tags_tagged(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def album_photos_sponsor_tags_thread_settings(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def album_photos_sponsor_tags_threads(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_threads, fields=fields, **kwargs)

	def album_photos_sponsor_tags_tours(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_tours, fields=fields, **kwargs)

	def album_photos_sponsor_tags_video_broadcasts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_video_copyright_rules(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def album_photos_sponsor_tags_video_copyrights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def album_photos_sponsor_tags_video_lists(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def album_photos_sponsor_tags_video_media_copyrights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def album_photos_sponsor_tags_videos(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_videos, fields=fields, **kwargs)

	def album_photos_sponsor_tags_videos_you_can_use(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def album_photos_sponsor_tags_visitor_posts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def album_photos_sponsor_tags_workflows(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def album_photos_sponsor_tags_notes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_notes, fields=fields, **kwargs)

	def album_photos_sponsor_tags_notifications(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def album_photos_sponsor_tags_questions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_questions, fields=fields, **kwargs)

	def album_photos_sponsor_tags_statuses(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_sponsor_tags(album_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def album_photos_tags(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def album_photos_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos(album_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def album_photos_comments_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_comments(album_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def album_photos_comments_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_comments(album_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def album_photos_comments_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_comments(album_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def album_photos_comments_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_photos_comments(album_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def album_sharedposts(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'sharedposts', fields=fields, **kwargs)

	def album_sharedposts_attachments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def album_sharedposts_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_comments, fields=fields, **kwargs)

	def album_sharedposts_comments_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_comments(album_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def album_sharedposts_comments_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_comments(album_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def album_sharedposts_comments_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_comments(album_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def album_sharedposts_comments_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_comments(album_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def album_sharedposts_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_insights, fields=fields, **kwargs)

	def album_sharedposts_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_likes, fields=fields, **kwargs)

	def album_sharedposts_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def album_sharedposts_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def album_sharedposts_sharedposts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts(album_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_attachments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_comments, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_insights(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_insights, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_likes, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def album_sharedposts_sharedposts_sharedposts(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_sharedposts_sharedposts(album_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def album_likes(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'likes', fields=fields, **kwargs)

	def album_reactions(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'reactions', fields=fields, **kwargs)

	def album_comments(self, album_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, album_id, 'comments', fields=fields, **kwargs)

	def album_comments_comments(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_comments(album_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def album_comments_likes(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_comments(album_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def album_comments_reactions(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_comments(album_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def album_comments_private_replies(self, album_id, fields=None, **kwargs):
		return self.iter_iter(self.album_comments(album_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def photo(self, photo_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, photo_id, fields=fields, **kwargs)

	def photo_insights(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'insights', fields=fields, **kwargs)

	def photo_likes(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'likes', fields=fields, **kwargs)

	def photo_reactions(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'reactions', fields=fields, **kwargs)

	def photo_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'sharedposts', fields=fields, **kwargs)

	def photo_sharedposts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sharedposts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sharedposts_comments_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_comments(photo_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def photo_sharedposts_comments_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_comments(photo_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def photo_sharedposts_comments_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_comments(photo_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def photo_sharedposts_comments_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_comments(photo_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def photo_sharedposts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sharedposts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sharedposts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sharedposts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sharedposts_sharedposts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sharedposts_sharedposts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'sponsor_tags', fields=fields, **kwargs)

	def photo_sponsor_tags_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_albums_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_albums(photo_id), 'id', self.album_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_checkin_posts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_checkin_posts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_pending_approval_pages_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_pending_approval_pages(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_crosspost_whitelisted_pages_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_crosspost_whitelisted_pages(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_events_admins(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_admins, fields=fields, **kwargs)

	def photo_sponsor_tags_events_attending(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_attending, fields=fields, **kwargs)

	def photo_sponsor_tags_events_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_events_declined(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_declined, fields=fields, **kwargs)

	def photo_sponsor_tags_events_interested(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_interested, fields=fields, **kwargs)

	def photo_sponsor_tags_events_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_events_maybe(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def photo_sponsor_tags_events_noreply(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def photo_sponsor_tags_events_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_events_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_events_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_events_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_events_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_events(photo_id), 'id', self.event_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_auto_generated_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_crosspost_shared_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_sponsor_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_thumbnails(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def photo_sponsor_tags_featured_videos_collection_video_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_featured_videos_collection(photo_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_feed_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_feed(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_global_brand_children_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_global_brand_children(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_likes_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_likes(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos_blocked_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_live_videos(photo_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_live_videos(photo_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos_errors(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_live_videos(photo_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_live_videos(photo_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_live_videos_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_live_videos(photo_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_admin_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_assigned_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_audio_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_bc_sponsored_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_blocked(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_broadcast_messages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_call_to_actions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_canvas_elements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_canvases(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_checkin_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_claimed_urls(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_crosspost_pending_approval_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_crosspost_whitelisted_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_events, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_featured_videos_collection(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_global_brand_children(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_instant_articles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_instant_articles_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_labels(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_labels, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_conditional_questions_group(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_context_cards(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_draft_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_legal_content(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_qualifiers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_leadgen_whitelisted_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_locations_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_locations(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_media_fingerprints(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def photo_sponsor_tags_messenger_profile(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def photo_sponsor_tags_milestones(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def photo_sponsor_tags_nativeoffers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def photo_sponsor_tags_offers_v3(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def photo_sponsor_tags_pending_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def photo_sponsor_tags_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_sponsor_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_photos_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_photos(photo_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_place_topics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def photo_sponsor_tags_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_posts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_posts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_promotable_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_published_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_ratings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def photo_sponsor_tags_restaurant_orders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def photo_sponsor_tags_roles(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_roles, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_accounts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_achievements(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_ad_studies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_adaccounts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_adcontracts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_adnetworkanalytics(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_albums(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_albums, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_apprequestformerrecipients(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_apprequests(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_asset3ds(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_assigned_ad_accounts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_assigned_monetization_properties(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_assigned_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_assigned_product_catalogs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_books(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_books, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_business_activities(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_business_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_businesses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_conversations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_curated_collections(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_domains(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_domains, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_events, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_family(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_family, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_favorite_requests(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_friendlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_friends(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_friends, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_games(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_games, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_groups(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_groups, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_ids_for_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_ids_for_business(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_ids_for_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_invitable_friends(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_leadgen_forms(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_live_encoders(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_live_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_movies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_movies, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_music(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_music, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_objects(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_objects, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_permissions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_personal_ad_accounts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_photos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_photos, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_picture(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_picture, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_promotable_domains(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_promotable_events(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_request_history(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_rich_media_documents(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_session_keys(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_stream_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_taggable_friends(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_tagged_places(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_television(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_television, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_checkins(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_feed(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_feed, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_friendrequests(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_home(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_home, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_inbox(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_locations(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_locations, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_mutualfriends(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_outbox(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_scores(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_scores, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_subscribers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def photo_sponsor_tags_roles_subscribedto(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_roles(photo_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def photo_sponsor_tags_saved_filters(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def photo_sponsor_tags_saved_message_responses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_scheduled_posts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_scheduled_posts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_screennames(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def photo_sponsor_tags_seasons(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def photo_sponsor_tags_secondary_receivers(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def photo_sponsor_tags_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_show_playlists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def photo_sponsor_tags_subscribed_apps(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def photo_sponsor_tags_tabs(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_tagged_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_tagged(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_thread_settings(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def photo_sponsor_tags_threads(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_threads, fields=fields, **kwargs)

	def photo_sponsor_tags_tours(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_tours, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts_blocked_users(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_video_broadcasts(photo_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_video_broadcasts(photo_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts_errors(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_video_broadcasts(photo_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_video_broadcasts(photo_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_video_broadcasts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_video_broadcasts(photo_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_video_copyright_rules(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def photo_sponsor_tags_video_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_video_lists(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def photo_sponsor_tags_video_media_copyrights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def photo_sponsor_tags_videos(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_videos, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_auto_generated_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_crosspost_shared_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_sponsor_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_thumbnails(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_video_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos(photo_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_auto_generated_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_captions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_captions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_crosspost_shared_pages(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_sponsor_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_tags(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_tags, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_thumbnails(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def photo_sponsor_tags_videos_you_can_use_video_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_videos_you_can_use(photo_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_attachments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_insights(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_insights, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_visitor_posts_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_visitor_posts(photo_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def photo_sponsor_tags_workflows(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def photo_sponsor_tags_notes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_notes, fields=fields, **kwargs)

	def photo_sponsor_tags_notifications(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def photo_sponsor_tags_questions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_questions, fields=fields, **kwargs)

	def photo_sponsor_tags_statuses(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags(photo_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def photo_sponsor_tags_statuses_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_statuses(photo_id), 'id', self.status_likes, fields=fields, **kwargs)

	def photo_sponsor_tags_statuses_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_statuses(photo_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def photo_sponsor_tags_statuses_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_statuses(photo_id), 'id', self.status_comments, fields=fields, **kwargs)

	def photo_sponsor_tags_statuses_sharedposts(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_sponsor_tags_statuses(photo_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def photo_tags(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'tags', fields=fields, **kwargs)

	def photo_comments(self, photo_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, photo_id, 'comments', fields=fields, **kwargs)

	def photo_comments_comments(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_comments(photo_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def photo_comments_likes(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_comments(photo_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def photo_comments_reactions(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_comments(photo_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def photo_comments_private_replies(self, photo_id, fields=None, **kwargs):
		return self.iter_iter(self.photo_comments(photo_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def video(self, video_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, video_id, fields=fields, **kwargs)

	def video_auto_generated_captions(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'auto_generated_captions', fields=fields, **kwargs)

	def video_captions(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'captions', fields=fields, **kwargs)

	def video_comments(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'comments', fields=fields, **kwargs)

	def video_comments_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_comments(video_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def video_comments_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_comments(video_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def video_comments_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_comments(video_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def video_comments_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_comments(video_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'crosspost_shared_pages', fields=fields, **kwargs)

	def video_crosspost_shared_pages_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_albums_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_albums(video_id), 'id', self.album_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_checkin_posts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_checkin_posts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_pending_approval_pages_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_pending_approval_pages(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_crosspost_whitelisted_pages_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_crosspost_whitelisted_pages(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_admins(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_admins, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_attending(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_attending, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_declined(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_declined, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_interested(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_interested, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_maybe(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_noreply(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_events_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_events(video_id), 'id', self.event_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_auto_generated_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_crosspost_shared_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_sponsor_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_thumbnails(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def video_crosspost_shared_pages_featured_videos_collection_video_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_featured_videos_collection(video_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_feed_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_feed(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_global_brand_children_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_global_brand_children(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_likes_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_likes(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos_blocked_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_live_videos(video_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_live_videos(video_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos_errors(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_live_videos(video_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_live_videos(video_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_live_videos_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_live_videos(video_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_admin_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_assigned_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_audio_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_bc_sponsored_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_blocked(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_broadcast_messages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_call_to_actions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_canvas_elements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_canvases(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_checkin_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_claimed_urls(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_crosspost_pending_approval_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_crosspost_whitelisted_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_featured_videos_collection(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_global_brand_children(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_instant_articles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_instant_articles_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_labels(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_labels, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_conditional_questions_group(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_context_cards(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_draft_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_legal_content(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_qualifiers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_leadgen_whitelisted_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_locations_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_locations(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_media_fingerprints(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def video_crosspost_shared_pages_messenger_profile(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def video_crosspost_shared_pages_milestones(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def video_crosspost_shared_pages_nativeoffers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_offers_v3(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def video_crosspost_shared_pages_pending_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_sponsor_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_photos_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_photos(video_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_place_topics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_posts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_posts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_promotable_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_published_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_ratings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_restaurant_orders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_roles, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_accounts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_achievements(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_ad_studies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_adaccounts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_adcontracts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_adnetworkanalytics(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_albums(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_albums, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_apprequestformerrecipients(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_apprequests(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_asset3ds(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_assigned_ad_accounts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_assigned_monetization_properties(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_assigned_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_assigned_product_catalogs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_books(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_books, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_business_activities(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_business_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_businesses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_conversations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_curated_collections(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_domains(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_domains, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_family(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_family, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_favorite_requests(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_friendlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_friends(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_friends, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_games(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_games, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_groups(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_groups, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_ids_for_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_ids_for_business(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_ids_for_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_invitable_friends(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_leadgen_forms(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_live_encoders(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_live_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_movies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_movies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_music(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_music, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_objects(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_objects, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_permissions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_personal_ad_accounts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_photos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_photos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_picture(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_picture, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_promotable_domains(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_promotable_events(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_request_history(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_rich_media_documents(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_session_keys(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_stream_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_taggable_friends(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_tagged_places(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_television(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_television, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_checkins(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_feed(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_feed, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_friendrequests(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_home(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_home, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_inbox(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_locations(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_locations, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_mutualfriends(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_outbox(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_scores(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_scores, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_subscribers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_roles_subscribedto(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_roles(video_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def video_crosspost_shared_pages_saved_filters(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def video_crosspost_shared_pages_saved_message_responses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_scheduled_posts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_scheduled_posts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_screennames(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def video_crosspost_shared_pages_seasons(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def video_crosspost_shared_pages_secondary_receivers(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def video_crosspost_shared_pages_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_show_playlists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_subscribed_apps(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tabs(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tagged_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_tagged(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_thread_settings(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def video_crosspost_shared_pages_threads(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_threads, fields=fields, **kwargs)

	def video_crosspost_shared_pages_tours(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_tours, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts_blocked_users(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_video_broadcasts(video_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_video_broadcasts(video_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts_errors(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_video_broadcasts(video_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_video_broadcasts(video_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_broadcasts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_video_broadcasts(video_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_copyright_rules(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_lists(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def video_crosspost_shared_pages_video_media_copyrights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_videos, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_auto_generated_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_crosspost_shared_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_sponsor_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_thumbnails(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_video_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos(video_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_auto_generated_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_captions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_captions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_crosspost_shared_pages(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_sponsor_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_tags(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_tags, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_thumbnails(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def video_crosspost_shared_pages_videos_you_can_use_video_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_videos_you_can_use(video_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_visitor_posts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_visitor_posts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_crosspost_shared_pages_workflows(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def video_crosspost_shared_pages_notes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_notes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_notifications(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def video_crosspost_shared_pages_questions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_questions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_statuses(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages(video_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def video_crosspost_shared_pages_statuses_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_statuses(video_id), 'id', self.status_likes, fields=fields, **kwargs)

	def video_crosspost_shared_pages_statuses_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_statuses(video_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def video_crosspost_shared_pages_statuses_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_statuses(video_id), 'id', self.status_comments, fields=fields, **kwargs)

	def video_crosspost_shared_pages_statuses_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_crosspost_shared_pages_statuses(video_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def video_likes(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'likes', fields=fields, **kwargs)

	def video_reactions(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'reactions', fields=fields, **kwargs)

	def video_sharedposts(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'sharedposts', fields=fields, **kwargs)

	def video_sharedposts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_sharedposts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_sharedposts_comments_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_comments(video_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def video_sharedposts_comments_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_comments(video_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def video_sharedposts_comments_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_comments(video_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def video_sharedposts_comments_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_comments(video_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def video_sharedposts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_sharedposts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_sharedposts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_sharedposts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_sharedposts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_attachments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_comments(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_comments, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_insights(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_insights, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_likes(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_likes, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_private_replies(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_reactions(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def video_sharedposts_sharedposts_sharedposts(self, video_id, fields=None, **kwargs):
		return self.iter_iter(self.video_sharedposts_sharedposts(video_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def video_sponsor_tags(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'sponsor_tags', fields=fields, **kwargs)

	def video_tags(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'tags', fields=fields, **kwargs)

	def video_thumbnails(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'thumbnails', fields=fields, **kwargs)

	def video_video_insights(self, video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, video_id, 'video_insights', fields=fields, **kwargs)

	def live_video(self, live_video_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, live_video_id, fields=fields, **kwargs)

	def live_video_blocked_users(self, live_video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, live_video_id, 'blocked_users', fields=fields, **kwargs)

	def live_video_comments(self, live_video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, live_video_id, 'comments', fields=fields, **kwargs)

	def live_video_comments_comments(self, live_video_id, fields=None, **kwargs):
		return self.iter_iter(self.live_video_comments(live_video_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def live_video_comments_likes(self, live_video_id, fields=None, **kwargs):
		return self.iter_iter(self.live_video_comments(live_video_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def live_video_comments_reactions(self, live_video_id, fields=None, **kwargs):
		return self.iter_iter(self.live_video_comments(live_video_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def live_video_comments_private_replies(self, live_video_id, fields=None, **kwargs):
		return self.iter_iter(self.live_video_comments(live_video_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def live_video_errors(self, live_video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, live_video_id, 'errors', fields=fields, **kwargs)

	def live_video_likes(self, live_video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, live_video_id, 'likes', fields=fields, **kwargs)

	def live_video_reactions(self, live_video_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, live_video_id, 'reactions', fields=fields, **kwargs)

	def user(self, user_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, user_id, fields=fields, **kwargs)

	def user_accounts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'accounts', fields=fields, **kwargs)

	def user_achievements(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'achievements', fields=fields, **kwargs)

	def user_ad_studies(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'ad_studies', fields=fields, **kwargs)

	def user_adaccounts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'adaccounts', fields=fields, **kwargs)

	def user_adcontracts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'adcontracts', fields=fields, **kwargs)

	def user_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'adnetworkanalytics', fields=fields, **kwargs)

	def user_albums(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'albums', fields=fields, **kwargs)

	def user_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_albums_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_albums_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_albums_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_albums_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_albums_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_albums_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_albums_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_albums_sharedposts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_albums_sharedposts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_albums_sharedposts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_albums_sharedposts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_albums_sharedposts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_albums_sharedposts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_albums_sharedposts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_sharedposts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_albums_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_albums_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_albums_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_albums_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_albums_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'apprequestformerrecipients', fields=fields, **kwargs)

	def user_apprequests(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'apprequests', fields=fields, **kwargs)

	def user_asset3ds(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'asset3ds', fields=fields, **kwargs)

	def user_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'assigned_ad_accounts', fields=fields, **kwargs)

	def user_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'assigned_monetization_properties', fields=fields, **kwargs)

	def user_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'assigned_pages', fields=fields, **kwargs)

	def user_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'assigned_product_catalogs', fields=fields, **kwargs)

	def user_books(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'books', fields=fields, **kwargs)

	def user_business_activities(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'business_activities', fields=fields, **kwargs)

	def user_business_users(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'business_users', fields=fields, **kwargs)

	def user_businesses(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'businesses', fields=fields, **kwargs)

	def user_conversations(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'conversations', fields=fields, **kwargs)

	def user_curated_collections(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'curated_collections', fields=fields, **kwargs)

	def user_domains(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'domains', fields=fields, **kwargs)

	def user_events(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'events', fields=fields, **kwargs)

	def user_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_events_admins_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_admins_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_admins_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_admins_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_admins_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_admins_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_admins_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_admins_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_admins_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_admins_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_admins_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_admins_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_admins_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_admins_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_admins_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_admins_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_admins_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_admins_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_admins_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_admins_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_admins_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_admins_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_admins_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_admins_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_admins_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_admins_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_admins_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_admins_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_admins_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_admins_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_admins_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_admins_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_admins_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_admins_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_admins_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_admins_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_admins_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_admins_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_admins_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_admins_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_admins_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_admins_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_admins_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_admins_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_admins_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_admins_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_admins_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_admins_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_admins_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_admins_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_admins_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_admins_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_admins_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_admins_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_admins_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_admins_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_admins_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_admins_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_admins_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_admins_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_admins_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_admins_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_admins_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_admins_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_admins_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_admins_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_admins_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_admins_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_admins(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_events_attending_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_attending_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_attending_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_attending_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_attending_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_attending_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_attending_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_attending_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_attending_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_attending_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_attending_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_attending_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_attending_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_attending_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_attending_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_attending_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_attending_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_attending_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_attending_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_attending_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_attending_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_attending_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_attending_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_attending_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_attending_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_attending_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_attending_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_attending_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_attending_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_attending_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_attending_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_attending_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_attending_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_attending_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_attending_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_attending_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_attending_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_attending_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_attending_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_attending_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_attending_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_attending_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_attending_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_attending_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_attending_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_attending_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_attending_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_attending_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_attending_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_attending_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_attending_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_attending_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_attending_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_attending_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_attending_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_attending_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_attending_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_attending_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_attending_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_attending_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_attending_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_attending_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_attending_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_attending_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_attending_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_attending_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_attending_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_attending_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_attending(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_events_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_events_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_events_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_events_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_events_declined_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_declined_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_declined_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_declined_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_declined_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_declined_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_declined_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_declined_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_declined_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_declined_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_declined_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_declined_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_declined_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_declined_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_declined_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_declined_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_declined_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_declined_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_declined_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_declined_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_declined_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_declined_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_declined_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_declined_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_declined_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_declined_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_declined_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_declined_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_declined_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_declined_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_declined_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_declined_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_declined_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_declined_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_declined_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_declined_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_declined_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_declined_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_declined_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_declined_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_declined_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_declined_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_declined_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_declined_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_declined_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_declined_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_declined_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_declined_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_declined_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_declined_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_declined_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_declined_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_declined_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_declined_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_declined_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_declined_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_declined_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_declined_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_declined_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_declined_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_declined_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_declined_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_declined_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_declined_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_declined_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_declined_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_declined_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_declined_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_declined(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_events_interested_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_interested_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_interested_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_interested_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_interested_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_interested_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_interested_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_interested_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_interested_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_interested_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_interested_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_interested_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_interested_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_interested_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_interested_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_interested_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_interested_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_interested_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_interested_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_interested_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_interested_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_interested_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_interested_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_interested_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_interested_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_interested_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_interested_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_interested_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_interested_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_interested_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_interested_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_interested_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_interested_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_interested_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_interested_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_interested_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_interested_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_interested_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_interested_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_interested_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_interested_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_interested_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_interested_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_interested_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_interested_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_interested_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_interested_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_interested_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_interested_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_interested_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_interested_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_interested_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_interested_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_interested_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_interested_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_interested_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_interested_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_interested_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_interested_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_interested_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_interested_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_interested_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_interested_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_interested_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_interested_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_interested_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_interested_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_interested_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_interested(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_events_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_events_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_events_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_events_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_events_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_events_maybe_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_maybe_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_maybe_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_maybe_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_maybe_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_maybe_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_maybe_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_maybe_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_maybe_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_maybe_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_maybe_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_maybe_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_maybe_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_maybe_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_maybe_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_maybe_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_maybe_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_maybe_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_maybe_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_maybe_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_maybe_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_maybe_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_maybe_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_maybe_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_maybe_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_maybe_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_maybe_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_maybe_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_maybe_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_maybe_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_maybe_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_maybe_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_maybe_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_maybe_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_maybe_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_maybe_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_maybe_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_maybe_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_maybe_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_maybe_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_maybe_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_maybe_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_maybe_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_maybe_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_maybe_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_maybe_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_maybe_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_maybe_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_maybe_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_maybe_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_maybe_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_maybe_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_maybe_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_maybe_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_maybe_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_maybe_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_maybe_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_maybe_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_maybe_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_maybe_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_maybe_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_maybe_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_maybe_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_maybe_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_maybe_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_maybe_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_maybe_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_maybe_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_maybe(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_events_noreply_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_noreply_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_noreply_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_noreply_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_noreply_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_noreply_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_noreply_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_noreply_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_noreply_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_noreply_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_noreply_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_noreply_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_noreply_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_noreply_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_noreply_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_noreply_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_noreply_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_noreply_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_noreply_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_noreply_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_noreply_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_noreply_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_noreply_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_noreply_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_noreply_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_noreply_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_noreply_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_noreply_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_noreply_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_noreply_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_noreply_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_noreply_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_noreply_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_noreply_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_noreply_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_noreply_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_noreply_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_noreply_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_noreply_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_noreply_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_noreply_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_noreply_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_noreply_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_noreply_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_noreply_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_noreply_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_noreply_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_noreply_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_noreply_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_noreply_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_noreply_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_noreply_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_noreply_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_noreply_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_noreply_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_noreply_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_noreply_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_noreply_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_noreply_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_noreply_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_noreply_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_noreply_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_noreply_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_noreply_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_noreply_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_noreply_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_noreply_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_noreply_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_noreply(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_events_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_events_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_events_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_events_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_events_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_events_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_events_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_events_roles_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_events_roles_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_events_roles_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_events_roles_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_events_roles_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_events_roles_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_events_roles_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_events_roles_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_events_roles_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_events_roles_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_events_roles_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_events_roles_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_events_roles_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_events_roles_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_events_roles_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_events_roles_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_events_roles_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_events_roles_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_events_roles_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_events_roles_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_events_roles_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_events_roles_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_events_roles_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_events_roles_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_events_roles_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_events_roles_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_events_roles_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_events_roles_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_events_roles_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_events_roles_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_events_roles_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_events_roles_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_events_roles_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_events_roles_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_events_roles_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_events_roles_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_events_roles_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_events_roles_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_events_roles_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_events_roles_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_events_roles_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_events_roles_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_events_roles_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_events_roles_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_events_roles_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_events_roles_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_events_roles_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_events_roles_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_events_roles_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_events_roles_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_events_roles_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_events_roles_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_events_roles_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_events_roles_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_events_roles_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_events_roles_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_events_roles_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_events_roles_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_events_roles_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_events_roles_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_events_roles_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_events_roles_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_events_roles_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_events_roles_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_events_roles_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_events_roles_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_events_roles_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_events_roles_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_roles(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_events_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_events_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_events_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_events_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_events_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_events_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_events_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_events_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_events_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_events_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_events_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_events_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_events_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_events_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_events_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_events_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_events_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_events_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_events_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_family(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'family', fields=fields, **kwargs)

	def user_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_family_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_family_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_family_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_family_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_family_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_family_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_family_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_family_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_family_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_family_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_family_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_family_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_family_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_family_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_family_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_family_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_family_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_family_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_family_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_family_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_family_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_family_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_family_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_family_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_family_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_family_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_family_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_family_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_family_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_family_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_family_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_family_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_family_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_family_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_family_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_family_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_family_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_family_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_family_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_family_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_family_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_family_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_family_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_family_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_family_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_family_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_family_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_family_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_family_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_family_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_family_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_family_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_family_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_family_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_family_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_family_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_family_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_family_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_family_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_family_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_family_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_family_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_family_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_family_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_family_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_family_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_family_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_family_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_family_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_family_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_family_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_family_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_family_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_family_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_family_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_family_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_family_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_family_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_family_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_family_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_family_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_family_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_family_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_family_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_family_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_family_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_family_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_family_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_family_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_family_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_family_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_family_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_family_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_family_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_family_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_family_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_family_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_family_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_family_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_family_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_family_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_family_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_family_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_family_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_family_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_family_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_family_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_family_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_family_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_family_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_family_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_family_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_family_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_family_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_family_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_family_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_family_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_family_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_family_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_family_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_family_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_family_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_family_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_family_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_family_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_family_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_family_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_family_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_family_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_family_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_family_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_family_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_family_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_family_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_family_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_family_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_family_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_family_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_family_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_family_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_family_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_family_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_family_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_family_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_family_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_family_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_family_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_family_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_family_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_family_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_family_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_family_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_family_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_family_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_family_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_family_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_family_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_family_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_family_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_family_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_family_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_family_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_family_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_family_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_family_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_family_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_family_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_family_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_family_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_family_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_family_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_family_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_family_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_family_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_family_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_family_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_family_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_family_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_family_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_family_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_family_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_family_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_family_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_family_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_family_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_family_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_family_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_family_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_family_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_family_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_family_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_family_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_family_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_family_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_family_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_family_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_family_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_family_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_family_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_family_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_family_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_family_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_family_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'favorite_requests', fields=fields, **kwargs)

	def user_friendlists(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'friendlists', fields=fields, **kwargs)

	def user_friends(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'friends', fields=fields, **kwargs)

	def user_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_friends_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_friends_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_friends_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_friends_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_friends_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_friends_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_friends_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_friends_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_friends_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_friends_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_friends_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_friends_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_friends_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_friends_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_friends_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_friends_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_friends_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_friends_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_friends_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_friends_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_friends_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_friends_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_friends_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_friends_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_friends_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_friends_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_friends_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_friends_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_friends_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_friends_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_friends_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_friends_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_friends_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_friends_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_friends_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_friends_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_friends_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_friends_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_friends_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_friends_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_friends_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_friends_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_friends_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_friends_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_friends_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_friends_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_friends_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_friends_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_friends_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_friends_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_friends_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_friends_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_friends_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_friends_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_friends_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_friends_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_friends_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_friends_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_friends_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_friends_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_friends_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_friends_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_friends_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_friends_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_friends_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_friends_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_friends_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_friends_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_friends_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_friends_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_friends_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_friends_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_friends_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_friends_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_friends_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_friends_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_friends_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_friends_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_friends_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_friends_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_friends_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_friends_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_friends_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_friends_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_friends_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_friends_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_friends_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_friends_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_friends_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_friends_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_friends_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_friends_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_friends_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_friends_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_friends_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_friends_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_friends_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_friends_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_friends_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_friends_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_friends_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_friends_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_friends_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_friends_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_friends_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_friends_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_friends_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_friends_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_friends_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_friends_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_friends_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_friends_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_friends_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_friends_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_friends_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_friends_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_friends_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_friends_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_friends_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_friends_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_friends_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_friends_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_friends_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_friends_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_friends_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_friends_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_friends_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_friends_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_friends_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_friends_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_friends_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_friends_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_friends_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_friends_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_friends_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_friends_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_friends_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_friends_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_friends_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_friends_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_friends_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_friends_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_friends_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_friends_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_friends_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_friends_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_friends_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_friends_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_friends_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_friends_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_friends_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_friends_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_friends_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_friends_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_friends_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_friends_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_friends_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_friends_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_friends_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_friends_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_friends_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_friends_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_friends_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_friends_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_friends_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_friends_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_friends_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_friends_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_friends_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_friends_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_friends_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_friends_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_friends_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_friends_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_friends_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_friends_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_friends_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_friends_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_friends_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_friends_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_friends_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_friends_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_friends_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_friends_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_friends_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_friends_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_friends_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_friends_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_friends_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_friends_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_friends_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_friends_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_friends_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_friends_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_friends_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_friends_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_friends_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_friends_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_friends_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_friends_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_friends_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_friends_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_friends_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_games(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'games', fields=fields, **kwargs)

	def user_groups(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'groups', fields=fields, **kwargs)

	def user_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_groups_admins_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_groups_admins_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_groups_admins_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_groups_admins_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_groups_admins_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_groups_admins_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_groups_admins_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_groups_admins_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_groups_admins_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_groups_admins_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_groups_admins_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_groups_admins_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_groups_admins_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_groups_admins_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_groups_admins_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_groups_admins_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_groups_admins_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_groups_admins_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_groups_admins_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_groups_admins_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_groups_admins_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_groups_admins_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_groups_admins_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_groups_admins_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_groups_admins_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_groups_admins_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_groups_admins_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_groups_admins_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_groups_admins_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_groups_admins_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_groups_admins_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_groups_admins_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_groups_admins_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_groups_admins_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_groups_admins_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_groups_admins_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_groups_admins_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_groups_admins_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_groups_admins_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_groups_admins_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_groups_admins_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_groups_admins_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_groups_admins_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_groups_admins_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_groups_admins_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_groups_admins_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_groups_admins_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_groups_admins_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_groups_admins_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_groups_admins_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_groups_admins_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_groups_admins_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_groups_admins_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_groups_admins_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_groups_admins_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_groups_admins_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_groups_admins_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_groups_admins_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_groups_admins_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_groups_admins_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_groups_admins_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_groups_admins_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_groups_admins_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_groups_admins_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_groups_admins_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_groups_admins_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_groups_admins_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_groups_admins_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_admins(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_groups_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_groups_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_groups_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_groups_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_groups_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_groups_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_groups_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_groups_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_groups_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_groups_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_groups_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_groups_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_groups_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_groups_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_groups_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_groups_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_groups_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_groups_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_groups_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_groups_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_groups_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_groups_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_groups_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_groups_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_groups_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_groups_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_groups_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_groups_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_groups_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_groups_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_groups_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_groups_members_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_groups_members_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_groups_members_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_groups_members_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_groups_members_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_groups_members_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_groups_members_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_groups_members_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_groups_members_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_groups_members_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_groups_members_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_groups_members_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_groups_members_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_groups_members_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_groups_members_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_groups_members_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_groups_members_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_groups_members_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_groups_members_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_groups_members_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_groups_members_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_groups_members_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_groups_members_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_groups_members_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_groups_members_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_groups_members_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_groups_members_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_groups_members_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_groups_members_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_groups_members_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_groups_members_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_groups_members_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_groups_members_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_groups_members_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_groups_members_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_groups_members_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_groups_members_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_groups_members_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_groups_members_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_groups_members_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_groups_members_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_groups_members_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_groups_members_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_groups_members_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_groups_members_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_groups_members_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_groups_members_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_groups_members_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_groups_members_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_groups_members_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_groups_members_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_groups_members_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_groups_members_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_groups_members_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_groups_members_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_groups_members_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_groups_members_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_groups_members_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_groups_members_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_groups_members_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_groups_members_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_groups_members_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_groups_members_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_groups_members_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_groups_members_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_groups_members_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_groups_members_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_groups_members_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_members(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_groups_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_groups_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_groups_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_groups_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_groups_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_groups_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_groups_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_groups_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_groups_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_groups_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_groups_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_groups_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_groups_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_groups_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_groups_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_groups_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_groups_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_groups_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_groups_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'ids_for_apps', fields=fields, **kwargs)

	def user_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'ids_for_business', fields=fields, **kwargs)

	def user_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'ids_for_pages', fields=fields, **kwargs)

	def user_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'invitable_friends', fields=fields, **kwargs)

	def user_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'leadgen_forms', fields=fields, **kwargs)

	def user_likes(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'likes', fields=fields, **kwargs)

	def user_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_likes_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_likes_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_likes_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_likes_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_likes_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_checkin_posts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_checkin_posts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_checkin_posts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_checkin_posts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_checkin_posts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_checkin_posts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_checkin_posts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_checkin_posts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_crosspost_pending_approval_pages_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_pending_approval_pages(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_crosspost_whitelisted_pages_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_crosspost_whitelisted_pages(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_likes_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_likes_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_likes_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_likes_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_likes_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_likes_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_likes_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_likes_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_likes_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_likes_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_likes_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_likes_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_likes_featured_videos_collection_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_featured_videos_collection(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_global_brand_children_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_global_brand_children_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_global_brand_children_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_global_brand_children_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_global_brand_children_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_global_brand_children_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_global_brand_children_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_global_brand_children_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_global_brand_children_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_global_brand_children_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_global_brand_children_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_global_brand_children_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_global_brand_children_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_global_brand_children_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_global_brand_children_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_global_brand_children_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_global_brand_children_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_global_brand_children_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_global_brand_children_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_global_brand_children_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_global_brand_children_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_global_brand_children_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_global_brand_children_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_global_brand_children_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_global_brand_children_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_global_brand_children_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_global_brand_children_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_global_brand_children_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_global_brand_children_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_global_brand_children_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_global_brand_children_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_global_brand_children_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_global_brand_children_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_global_brand_children_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_global_brand_children_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_global_brand_children_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_global_brand_children_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_global_brand_children_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_global_brand_children_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_global_brand_children_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_global_brand_children_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_global_brand_children_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_global_brand_children_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_global_brand_children_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_global_brand_children_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_global_brand_children_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_global_brand_children_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_global_brand_children_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_global_brand_children_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_global_brand_children_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_global_brand_children_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_global_brand_children_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_global_brand_children_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_global_brand_children_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_global_brand_children_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_global_brand_children_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_global_brand_children_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_global_brand_children_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_global_brand_children_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_global_brand_children_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_global_brand_children_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_global_brand_children_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_global_brand_children_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_global_brand_children_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_global_brand_children_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_global_brand_children_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_global_brand_children_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_global_brand_children(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_likes_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_likes_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_likes_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_likes_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_locations_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_likes_locations_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_likes_locations_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_likes_locations_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_likes_locations_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_likes_locations_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_likes_locations_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_likes_locations_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_likes_locations_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_likes_locations_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_likes_locations_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_likes_locations_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_likes_locations_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_likes_locations_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_likes_locations_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_likes_locations_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_likes_locations_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_likes_locations_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_likes_locations_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_likes_locations_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_likes_locations_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_likes_locations_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_likes_locations_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_likes_locations_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_likes_locations_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_likes_locations_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_likes_locations_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_likes_locations_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_likes_locations_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_likes_locations_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_likes_locations_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_likes_locations_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_likes_locations_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_likes_locations_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_likes_locations_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_likes_locations_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_likes_locations_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_locations_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_locations_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_locations_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_locations_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_locations_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_locations_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_locations_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_locations_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_locations_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_locations_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_locations_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_locations_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_locations_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_locations_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_locations_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_locations_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_locations_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_locations_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_locations_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_locations_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_locations_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_locations_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_locations_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_locations_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_locations_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_locations_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_locations_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_locations_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_locations_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_locations_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_locations_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_locations_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_locations_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_locations_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_locations_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_locations_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_locations_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_locations_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_locations_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_locations_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_locations_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_locations_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_locations(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_likes_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_likes_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_likes_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_likes_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_likes_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_likes_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_likes_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_likes_posts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_posts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_posts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_posts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_posts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_posts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_posts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_posts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_likes_roles_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_likes_roles_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_likes_roles_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_likes_roles_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_likes_roles_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_likes_roles_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_likes_roles_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_likes_roles_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_likes_roles_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_likes_roles_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_likes_roles_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_likes_roles_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_likes_roles_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_likes_roles_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_likes_roles_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_likes_roles_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_likes_roles_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_likes_roles_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_likes_roles_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_likes_roles_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_likes_roles_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_likes_roles_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_likes_roles_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_likes_roles_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_likes_roles_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_likes_roles_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_likes_roles_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_likes_roles_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_likes_roles_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_likes_roles_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_likes_roles_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_likes_roles_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_likes_roles_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_likes_roles_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_likes_roles_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_likes_roles_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_likes_roles_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_likes_roles_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_likes_roles_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_likes_roles_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_likes_roles_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_likes_roles_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_likes_roles_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_likes_roles_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_likes_roles_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_likes_roles_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_likes_roles_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_likes_roles_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_likes_roles_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_likes_roles_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_likes_roles_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_likes_roles_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_likes_roles_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_likes_roles_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_likes_roles_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_likes_roles_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_likes_roles_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_likes_roles_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_likes_roles_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_likes_roles_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_likes_roles_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_likes_roles_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_likes_roles_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_likes_roles_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_likes_roles_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_likes_roles_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_likes_roles_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_likes_roles_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_roles(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_likes_scheduled_posts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_scheduled_posts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_scheduled_posts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_scheduled_posts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_scheduled_posts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_scheduled_posts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_scheduled_posts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_scheduled_posts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_likes_tagged_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_tagged_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_tagged_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_tagged_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_tagged_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_tagged_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_tagged_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_tagged(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_likes_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_likes_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_likes_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_likes_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_likes_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_likes_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_likes_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_likes_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_likes_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_likes_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_likes_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_likes_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_likes_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_likes_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_likes_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_likes_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_likes_videos_you_can_use_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_videos_you_can_use(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_likes_visitor_posts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_likes_visitor_posts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_likes_visitor_posts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_likes_visitor_posts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_likes_visitor_posts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_likes_visitor_posts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_likes_visitor_posts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_visitor_posts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_likes_statuses_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_statuses(user_id), 'id', self.status_likes, fields=fields, **kwargs)

	def user_likes_statuses_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_statuses(user_id), 'id', self.status_reactions, fields=fields, **kwargs)

	def user_likes_statuses_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_statuses(user_id), 'id', self.status_comments, fields=fields, **kwargs)

	def user_likes_statuses_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_likes_statuses(user_id), 'id', self.status_sharedposts, fields=fields, **kwargs)

	def user_live_encoders(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'live_encoders', fields=fields, **kwargs)

	def user_live_videos(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'live_videos', fields=fields, **kwargs)

	def user_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_live_videos_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_live_videos_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_live_videos_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_live_videos_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_movies(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'movies', fields=fields, **kwargs)

	def user_music(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'music', fields=fields, **kwargs)

	def user_objects(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'objects', fields=fields, **kwargs)

	def user_permissions(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'permissions', fields=fields, **kwargs)

	def user_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'personal_ad_accounts', fields=fields, **kwargs)

	def user_photos(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'photos', fields=fields, **kwargs)

	def user_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_photos_sharedposts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_photos_sharedposts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_photos_sharedposts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_photos_sharedposts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_photos_sharedposts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_photos_sharedposts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_photos_sharedposts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sharedposts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_photos_sponsor_tags_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_photos_sponsor_tags_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_photos_sponsor_tags_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_photos_sponsor_tags_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_photos_sponsor_tags_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_photos_sponsor_tags_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_photos_sponsor_tags_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_photos_sponsor_tags_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_photos_sponsor_tags_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_photos_sponsor_tags_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_photos_sponsor_tags_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_photos_sponsor_tags_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_photos_sponsor_tags_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_photos_sponsor_tags_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_photos_sponsor_tags_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_photos_sponsor_tags_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_photos_sponsor_tags_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_photos_sponsor_tags_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_photos_sponsor_tags_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_photos_sponsor_tags_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_photos_sponsor_tags_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_photos_sponsor_tags_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_photos_sponsor_tags_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_photos_sponsor_tags_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_photos_sponsor_tags_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_photos_sponsor_tags_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_photos_sponsor_tags_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_photos_sponsor_tags_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_photos_sponsor_tags_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_photos_sponsor_tags_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_photos_sponsor_tags_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_photos_sponsor_tags_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_photos_sponsor_tags_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_photos_sponsor_tags_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_photos_sponsor_tags_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_photos_sponsor_tags_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_photos_sponsor_tags_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_photos_sponsor_tags_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_photos_sponsor_tags_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_photos_sponsor_tags_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_photos_sponsor_tags_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_photos_sponsor_tags_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_photos_sponsor_tags_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_photos_sponsor_tags_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_photos_sponsor_tags_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_photos_sponsor_tags_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_photos_sponsor_tags_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_photos_sponsor_tags_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_photos_sponsor_tags_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_photos_sponsor_tags_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_photos_sponsor_tags_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_photos_sponsor_tags_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_photos_sponsor_tags_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_photos_sponsor_tags_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_photos_sponsor_tags_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_photos_sponsor_tags_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_photos_sponsor_tags_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_photos_sponsor_tags_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_photos_sponsor_tags_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_photos_sponsor_tags_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_photos_sponsor_tags_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_photos_sponsor_tags_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_photos_sponsor_tags_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_photos_sponsor_tags_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_photos_sponsor_tags_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_photos_sponsor_tags_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_sponsor_tags(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_photos_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_photos_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_photos_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_photos_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_photos_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_picture(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'picture', fields=fields, **kwargs)

	def user_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'promotable_domains', fields=fields, **kwargs)

	def user_promotable_events(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'promotable_events', fields=fields, **kwargs)

	def user_request_history(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'request_history', fields=fields, **kwargs)

	def user_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'rich_media_documents', fields=fields, **kwargs)

	def user_session_keys(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'session_keys', fields=fields, **kwargs)

	def user_stream_filters(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'stream_filters', fields=fields, **kwargs)

	def user_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'taggable_friends', fields=fields, **kwargs)

	def user_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_taggable_friends_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_taggable_friends_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_taggable_friends_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_taggable_friends_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_taggable_friends_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_taggable_friends_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_taggable_friends_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_taggable_friends_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_taggable_friends_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_taggable_friends_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_taggable_friends_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_taggable_friends_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_taggable_friends_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_taggable_friends_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_taggable_friends_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_taggable_friends_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_taggable_friends_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_taggable_friends_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_taggable_friends_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_taggable_friends_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_taggable_friends_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_taggable_friends_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_taggable_friends_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_taggable_friends_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_taggable_friends_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_taggable_friends_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_taggable_friends_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_taggable_friends_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_taggable_friends_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_taggable_friends_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_taggable_friends_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_taggable_friends_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_taggable_friends_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_taggable_friends_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_taggable_friends_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_taggable_friends_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_taggable_friends_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_taggable_friends_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_taggable_friends_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_taggable_friends_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_taggable_friends_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_taggable_friends_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_taggable_friends_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_taggable_friends_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_taggable_friends_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_taggable_friends_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_taggable_friends_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_taggable_friends_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_taggable_friends_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_taggable_friends_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_taggable_friends_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_taggable_friends_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_taggable_friends_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_taggable_friends_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_taggable_friends_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_taggable_friends_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_taggable_friends_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_taggable_friends_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_taggable_friends_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_taggable_friends_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_taggable_friends_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_taggable_friends_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_taggable_friends_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_taggable_friends_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_taggable_friends_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_taggable_friends_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_taggable_friends_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_taggable_friends_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_taggable_friends_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_taggable_friends_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_taggable_friends_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_taggable_friends_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_taggable_friends_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_taggable_friends_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_taggable_friends_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_taggable_friends_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_taggable_friends_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_taggable_friends_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_taggable_friends_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_taggable_friends_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_taggable_friends_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_taggable_friends_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_taggable_friends_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_taggable_friends_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_taggable_friends_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_taggable_friends_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_taggable_friends_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_taggable_friends_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_taggable_friends_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_taggable_friends_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_taggable_friends_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_taggable_friends_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_taggable_friends_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_taggable_friends_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_taggable_friends_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_taggable_friends_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_taggable_friends_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_taggable_friends_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_taggable_friends_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_taggable_friends_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_taggable_friends_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_taggable_friends_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_taggable_friends_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_taggable_friends_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_taggable_friends_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_taggable_friends_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_taggable_friends_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_taggable_friends_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_taggable_friends_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_taggable_friends_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_taggable_friends_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_taggable_friends_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_taggable_friends_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_tagged_places(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'tagged_places', fields=fields, **kwargs)

	def user_television(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'television', fields=fields, **kwargs)

	def user_threads(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'threads', fields=fields, **kwargs)

	def user_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'video_broadcasts', fields=fields, **kwargs)

	def user_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_video_broadcasts_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_video_broadcasts_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_video_broadcasts_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_video_broadcasts_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_videos(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'videos', fields=fields, **kwargs)

	def user_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_videos_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_videos_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_videos_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_videos_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_videos_crosspost_shared_pages_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_crosspost_shared_pages(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_videos_sharedposts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_videos_sharedposts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_videos_sharedposts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_videos_sharedposts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_videos_sharedposts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_videos_sharedposts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_videos_sharedposts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos_sharedposts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_checkins(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'checkins', fields=fields, **kwargs)

	def user_feed(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'feed', fields=fields, **kwargs)

	def user_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_feed_comments_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_comments(user_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def user_feed_comments_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_comments(user_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def user_feed_comments_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_comments(user_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def user_feed_comments_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_comments(user_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def user_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_feed_sharedposts_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_feed_sharedposts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_feed_sharedposts_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_feed_sharedposts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_feed_sharedposts_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_feed_sharedposts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_feed_sharedposts_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_feed_sharedposts(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_friendrequests(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'friendrequests', fields=fields, **kwargs)

	def user_home(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'home', fields=fields, **kwargs)

	def user_inbox(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'inbox', fields=fields, **kwargs)

	def user_locations(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'locations', fields=fields, **kwargs)

	def user_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'mutualfriends', fields=fields, **kwargs)

	def user_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_mutualfriends_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_mutualfriends_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_mutualfriends_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_mutualfriends_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_mutualfriends_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_mutualfriends_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_mutualfriends_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_mutualfriends_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_mutualfriends_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_mutualfriends_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_mutualfriends_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_mutualfriends_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_mutualfriends_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_mutualfriends_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_mutualfriends_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_mutualfriends_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_mutualfriends_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_mutualfriends_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_mutualfriends_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_mutualfriends_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_mutualfriends_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_mutualfriends_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_mutualfriends_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_mutualfriends_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_mutualfriends_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_mutualfriends_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_mutualfriends_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_mutualfriends_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_mutualfriends_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_mutualfriends_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_mutualfriends_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_mutualfriends_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_mutualfriends_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_mutualfriends_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_mutualfriends_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_mutualfriends_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_mutualfriends_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_mutualfriends_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_mutualfriends_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_mutualfriends_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_mutualfriends_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_mutualfriends_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_mutualfriends_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_mutualfriends_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_mutualfriends_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_mutualfriends_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_mutualfriends_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_mutualfriends_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_mutualfriends_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_mutualfriends_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_mutualfriends_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_mutualfriends_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_mutualfriends_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_mutualfriends_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_mutualfriends_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_mutualfriends_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_mutualfriends_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_mutualfriends_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_mutualfriends_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_mutualfriends_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_mutualfriends_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_mutualfriends_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_mutualfriends_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_mutualfriends_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_mutualfriends_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_mutualfriends_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_mutualfriends_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_mutualfriends_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_mutualfriends_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_mutualfriends_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_mutualfriends_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_mutualfriends_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_mutualfriends_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_mutualfriends_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_mutualfriends_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_mutualfriends_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_mutualfriends_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_mutualfriends_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_mutualfriends_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_mutualfriends_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_mutualfriends_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_mutualfriends_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_mutualfriends_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_mutualfriends_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_mutualfriends_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_mutualfriends_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_mutualfriends_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_mutualfriends_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_mutualfriends_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_mutualfriends_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_mutualfriends_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_mutualfriends_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_mutualfriends_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_mutualfriends_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_mutualfriends_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_mutualfriends_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_mutualfriends_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_mutualfriends_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_mutualfriends_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_mutualfriends_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_mutualfriends_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_mutualfriends_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_mutualfriends_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_mutualfriends_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_mutualfriends_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_mutualfriends_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_mutualfriends_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_mutualfriends_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_mutualfriends_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_mutualfriends_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_mutualfriends_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_mutualfriends_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_mutualfriends_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_notifications(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'notifications', fields=fields, **kwargs)

	def user_outbox(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'outbox', fields=fields, **kwargs)

	def user_questions(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'questions', fields=fields, **kwargs)

	def user_scores(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'scores', fields=fields, **kwargs)

	def user_subscribers(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'subscribers', fields=fields, **kwargs)

	def user_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_subscribers_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_subscribers_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_subscribers_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_subscribers_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_subscribers_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_subscribers_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_subscribers_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_subscribers_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_subscribers_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_subscribers_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_subscribers_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_subscribers_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_subscribers_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_subscribers_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_subscribers_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_subscribers_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_subscribers_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_subscribers_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_subscribers_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_subscribers_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_subscribers_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_subscribers_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_subscribers_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_subscribers_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_subscribers_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_subscribers_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_subscribers_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_subscribers_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_subscribers_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_subscribers_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_subscribers_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_subscribers_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_subscribers_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_subscribers_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_subscribers_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_subscribers_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_subscribers_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_subscribers_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_subscribers_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_subscribers_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_subscribers_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_subscribers_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_subscribers_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_subscribers_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_subscribers_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_subscribers_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_subscribers_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_subscribers_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_subscribers_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_subscribers_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_subscribers_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_subscribers_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_subscribers_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_subscribers_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_subscribers_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_subscribers_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_subscribers_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_subscribers_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_subscribers_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_subscribers_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_subscribers_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_subscribers_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_subscribers_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_subscribers_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_subscribers_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_subscribers_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_subscribers_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_subscribers_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_subscribers_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_subscribers_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_subscribers_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_subscribers_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_subscribers_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_subscribers_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_subscribers_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_subscribers_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_subscribers_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_subscribers_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_subscribers_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_subscribers_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_subscribers_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_subscribers_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_subscribers_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_subscribers_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_subscribers_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_subscribers_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_subscribers_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_subscribers_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_subscribers_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_subscribers_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_subscribers_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_subscribers_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_subscribers_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_subscribers_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_subscribers_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_subscribers_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_subscribers_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_subscribers_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_subscribers_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_subscribers_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_subscribers_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_subscribers_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_subscribers_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_subscribers_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_subscribers_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_subscribers_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_subscribers_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_subscribers_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_subscribers_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_subscribers_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_subscribers_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_subscribers_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_subscribers_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_subscribers_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_subscribers_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_subscribers_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_subscribers_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_subscribers_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_subscribers_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_subscribers_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_subscribers_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_subscribers_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_subscribers_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribers_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribers_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribers_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribers_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribers_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribers_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribers_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribers_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribers_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribers_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribers_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribers_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribers_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribers_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribers_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribers_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribers_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribers_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribers_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribers_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribers_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribers_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribers_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribers_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribers_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribers_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribers_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribers_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribers_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribers_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribers_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribers_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribers_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribers_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribers_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribers_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribers_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribers_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribers_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribers_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribers_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribers_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribers_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribers_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribers_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribers_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribers_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribers_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribers_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribers_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribers_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribers_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribers_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribers_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribers_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribers_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribers_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribers_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribers_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribers_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribers_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribers_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribers_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribers_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto(self, user_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, user_id, 'subscribedto', fields=fields, **kwargs)

	def user_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_albums_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_picture, fields=fields, **kwargs)

	def user_subscribedto_albums_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_photos, fields=fields, **kwargs)

	def user_subscribedto_albums_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def user_subscribedto_albums_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_likes, fields=fields, **kwargs)

	def user_subscribedto_albums_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def user_subscribedto_albums_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_albums(user_id), 'id', self.album_comments, fields=fields, **kwargs)

	def user_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_events_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_admins, fields=fields, **kwargs)

	def user_subscribedto_events_attending(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_attending, fields=fields, **kwargs)

	def user_subscribedto_events_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_comments, fields=fields, **kwargs)

	def user_subscribedto_events_declined(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_declined, fields=fields, **kwargs)

	def user_subscribedto_events_interested(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_interested, fields=fields, **kwargs)

	def user_subscribedto_events_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def user_subscribedto_events_maybe(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def user_subscribedto_events_noreply(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def user_subscribedto_events_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_photos, fields=fields, **kwargs)

	def user_subscribedto_events_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_picture, fields=fields, **kwargs)

	def user_subscribedto_events_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_roles, fields=fields, **kwargs)

	def user_subscribedto_events_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_videos, fields=fields, **kwargs)

	def user_subscribedto_events_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_events(user_id), 'id', self.event_feed, fields=fields, **kwargs)

	def user_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_family_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_family_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_family_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_family_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_family_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_family_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_family_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_family_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_family_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_family_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_family_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_family_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_family_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_family_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_family_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_family_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_family_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_family_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_family_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_family_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_family_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_family_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_family_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_family_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_family_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_family_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_family_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_family_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_family_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_family_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_family_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_family_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_family_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_family_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_family_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_family_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_family_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_family_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_family_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_family_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_family_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_family_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_family_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_family_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_family_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_family_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_family_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_family_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_family_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_family_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_family_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_family_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_family_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_family_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_family_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_family_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_family_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_family_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_family_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_family_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_family_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_family_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_family_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_family_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_family_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_family_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_family_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_family_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_family(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_groups_admins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_admins, fields=fields, **kwargs)

	def user_subscribedto_groups_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_albums, fields=fields, **kwargs)

	def user_subscribedto_groups_docs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_docs, fields=fields, **kwargs)

	def user_subscribedto_groups_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_events, fields=fields, **kwargs)

	def user_subscribedto_groups_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_feed, fields=fields, **kwargs)

	def user_subscribedto_groups_files(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_files, fields=fields, **kwargs)

	def user_subscribedto_groups_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def user_subscribedto_groups_members(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_members, fields=fields, **kwargs)

	def user_subscribedto_groups_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_photos, fields=fields, **kwargs)

	def user_subscribedto_groups_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_groups(user_id), 'id', self.group_videos, fields=fields, **kwargs)

	def user_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_likes_admin_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def user_subscribedto_likes_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_albums, fields=fields, **kwargs)

	def user_subscribedto_likes_assigned_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def user_subscribedto_likes_audio_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def user_subscribedto_likes_bc_sponsored_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_blocked(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def user_subscribedto_likes_broadcast_messages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def user_subscribedto_likes_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def user_subscribedto_likes_call_to_actions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def user_subscribedto_likes_canvas_elements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def user_subscribedto_likes_canvases(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def user_subscribedto_likes_checkin_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_claimed_urls(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def user_subscribedto_likes_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def user_subscribedto_likes_crosspost_pending_approval_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def user_subscribedto_likes_crosspost_whitelisted_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def user_subscribedto_likes_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_likes_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_events, fields=fields, **kwargs)

	def user_subscribedto_likes_featured_videos_collection(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def user_subscribedto_likes_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_feed, fields=fields, **kwargs)

	def user_subscribedto_likes_global_brand_children(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def user_subscribedto_likes_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_insights, fields=fields, **kwargs)

	def user_subscribedto_likes_instant_articles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def user_subscribedto_likes_instant_articles_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def user_subscribedto_likes_labels(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_labels, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_conditional_questions_group(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_context_cards(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_draft_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_legal_content(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_qualifiers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def user_subscribedto_likes_leadgen_whitelisted_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def user_subscribedto_likes_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_likes, fields=fields, **kwargs)

	def user_subscribedto_likes_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_likes_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def user_subscribedto_likes_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_locations, fields=fields, **kwargs)

	def user_subscribedto_likes_media_fingerprints(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def user_subscribedto_likes_messenger_profile(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def user_subscribedto_likes_milestones(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def user_subscribedto_likes_nativeoffers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def user_subscribedto_likes_offers_v3(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def user_subscribedto_likes_pending_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def user_subscribedto_likes_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_photos, fields=fields, **kwargs)

	def user_subscribedto_likes_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_picture, fields=fields, **kwargs)

	def user_subscribedto_likes_place_topics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def user_subscribedto_likes_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_likes_promotable_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_published_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_ratings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def user_subscribedto_likes_restaurant_orders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def user_subscribedto_likes_roles(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_roles, fields=fields, **kwargs)

	def user_subscribedto_likes_saved_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def user_subscribedto_likes_saved_message_responses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def user_subscribedto_likes_scheduled_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_screennames(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def user_subscribedto_likes_seasons(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def user_subscribedto_likes_secondary_receivers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def user_subscribedto_likes_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_settings, fields=fields, **kwargs)

	def user_subscribedto_likes_show_playlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def user_subscribedto_likes_subscribed_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def user_subscribedto_likes_tabs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def user_subscribedto_likes_tagged(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def user_subscribedto_likes_thread_settings(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def user_subscribedto_likes_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_threads, fields=fields, **kwargs)

	def user_subscribedto_likes_tours(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_tours, fields=fields, **kwargs)

	def user_subscribedto_likes_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_likes_video_copyright_rules(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def user_subscribedto_likes_video_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def user_subscribedto_likes_video_lists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def user_subscribedto_likes_video_media_copyrights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def user_subscribedto_likes_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_videos, fields=fields, **kwargs)

	def user_subscribedto_likes_videos_you_can_use(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def user_subscribedto_likes_visitor_posts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def user_subscribedto_likes_workflows(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def user_subscribedto_likes_notes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_notes, fields=fields, **kwargs)

	def user_subscribedto_likes_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def user_subscribedto_likes_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_questions, fields=fields, **kwargs)

	def user_subscribedto_likes_statuses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_likes(user_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def user_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_live_videos_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_live_videos(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_subscribedto_live_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_live_videos(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_subscribedto_live_videos_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_live_videos(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_subscribedto_live_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_live_videos(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_subscribedto_live_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_live_videos(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_photos_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def user_subscribedto_photos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def user_subscribedto_photos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def user_subscribedto_photos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def user_subscribedto_photos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def user_subscribedto_photos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def user_subscribedto_photos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_photos(user_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def user_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_taggable_friends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_taggable_friends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts_blocked_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_video_broadcasts(user_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_video_broadcasts(user_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts_errors(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_video_broadcasts(user_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_video_broadcasts(user_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def user_subscribedto_video_broadcasts_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_video_broadcasts(user_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def user_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_videos_auto_generated_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def user_subscribedto_videos_captions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_captions, fields=fields, **kwargs)

	def user_subscribedto_videos_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_comments, fields=fields, **kwargs)

	def user_subscribedto_videos_crosspost_shared_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def user_subscribedto_videos_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_likes, fields=fields, **kwargs)

	def user_subscribedto_videos_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def user_subscribedto_videos_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def user_subscribedto_videos_sponsor_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def user_subscribedto_videos_tags(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_tags, fields=fields, **kwargs)

	def user_subscribedto_videos_thumbnails(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def user_subscribedto_videos_video_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_videos(user_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def user_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_feed_attachments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def user_subscribedto_feed_comments(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_comments, fields=fields, **kwargs)

	def user_subscribedto_feed_insights(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_insights, fields=fields, **kwargs)

	def user_subscribedto_feed_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_likes, fields=fields, **kwargs)

	def user_subscribedto_feed_private_replies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def user_subscribedto_feed_reactions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def user_subscribedto_feed_sharedposts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_feed(user_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def user_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_mutualfriends_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_mutualfriends(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_subscribers_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_subscribers_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_subscribers_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_subscribers_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_subscribers_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_subscribers_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_subscribers_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_subscribers_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_subscribers_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_subscribers_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_subscribers_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_subscribers_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_subscribers_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_subscribers_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_subscribers_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_subscribers_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_subscribers_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_subscribers_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_subscribers_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_subscribers_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_subscribers_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_subscribers_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribers_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_subscribers_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_subscribers_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_subscribers_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_subscribers_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_subscribers_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribers_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_subscribers_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_subscribers_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_subscribers_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_subscribers_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_subscribers_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_subscribers_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_subscribers_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_subscribers_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_subscribers_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_subscribers_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_subscribers_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_subscribers_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_subscribers_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_subscribers_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_subscribers_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_subscribers_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribers_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_subscribers_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_subscribers_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_subscribers_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_subscribers_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_subscribers_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_subscribers_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_subscribers_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_subscribers_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_subscribers_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_subscribers_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_subscribers_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_subscribers_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_subscribers_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_subscribers_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_subscribers_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_subscribers_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_subscribers_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribers(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_achievements(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_ad_studies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_adaccounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_adcontracts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_adnetworkanalytics(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_albums(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_albums, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_apprequestformerrecipients(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_apprequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_asset3ds(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_assigned_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_assigned_monetization_properties(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_assigned_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_assigned_product_catalogs(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_books(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_books, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_business_activities(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_business_users(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_businesses(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_conversations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_curated_collections(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_domains, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_events, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_family(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_family, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_favorite_requests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_friendlists(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_games(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_games, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_groups(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_groups, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_ids_for_apps(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_ids_for_business(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_ids_for_pages(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_invitable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_leadgen_forms(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_likes(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_likes, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_live_encoders(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_live_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_movies(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_movies, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_music(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_music, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_objects(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_objects, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_permissions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_personal_ad_accounts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_photos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_photos, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_picture(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_picture, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_promotable_domains(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_promotable_events(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_request_history(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_rich_media_documents(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_session_keys(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_stream_filters(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_taggable_friends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_tagged_places(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_television(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_television, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_threads(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_threads, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_video_broadcasts(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_videos(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_videos, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_checkins(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_feed(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_feed, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_friendrequests(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_home(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_home, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_inbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_locations(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_locations, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_mutualfriends(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_notifications(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_outbox(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_questions(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_questions, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_scores(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_scores, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_subscribers(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def user_subscribedto_subscribedto_subscribedto(self, user_id, fields=None, **kwargs):
		return self.iter_iter(self.user_subscribedto_subscribedto(user_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def status(self, status_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, status_id, fields=fields, **kwargs)

	def status_likes(self, status_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, status_id, 'likes', fields=fields, **kwargs)

	def status_reactions(self, status_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, status_id, 'reactions', fields=fields, **kwargs)

	def status_comments(self, status_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, status_id, 'comments', fields=fields, **kwargs)

	def status_comments_comments(self, status_id, fields=None, **kwargs):
		return self.iter_iter(self.status_comments(status_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def status_comments_likes(self, status_id, fields=None, **kwargs):
		return self.iter_iter(self.status_comments(status_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def status_comments_reactions(self, status_id, fields=None, **kwargs):
		return self.iter_iter(self.status_comments(status_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def status_comments_private_replies(self, status_id, fields=None, **kwargs):
		return self.iter_iter(self.status_comments(status_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def status_sharedposts(self, status_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, status_id, 'sharedposts', fields=fields, **kwargs)

	def event(self, event_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, event_id, fields=fields, **kwargs)

	def event_admins(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'admins', fields=fields, **kwargs)

	def event_admins_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_admins_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_admins_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_admins_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_admins_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_admins_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_admins_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_admins_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_admins_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_admins_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_admins_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_admins_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_admins_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_admins_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_admins_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_admins_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_admins_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_admins_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_admins_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_admins_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_admins_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_admins_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_admins_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_admins_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_admins_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_admins_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_admins_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_admins_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_admins_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_admins_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_admins_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_admins_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_admins_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_admins_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_admins_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_admins_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_admins_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_admins_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_admins_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_admins_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_admins_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_admins_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_admins_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_admins_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_admins_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_admins_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_admins_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_admins_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_admins_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_admins_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_admins_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_admins_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_admins_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_admins_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_admins_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_admins_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_admins_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_admins_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_admins_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_admins_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_admins_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_admins_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_admins_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_admins_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_admins_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_admins_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_admins_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_admins_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_admins_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_admins_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_admins_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_admins_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_admins_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_admins_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_admins_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_admins_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_admins_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_admins_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_admins_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_admins_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_admins_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_admins_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_admins_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_admins_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_admins_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_admins_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_admins_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_admins_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_admins_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_admins_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_admins_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_admins_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_admins_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_admins_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_admins_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_admins_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_admins_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_admins_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_admins_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_admins_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_admins_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_admins_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_admins_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_admins_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_admins_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_admins_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_admins_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_admins_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_admins_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_admins_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_admins_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_admins_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_admins_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_admins_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_admins_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_admins_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_admins_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_admins_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_admins_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_admins_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_admins_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_admins_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_admins_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_admins_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_admins_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_admins_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_admins_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_admins_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_admins_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_admins_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_admins_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_admins_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_admins_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_admins_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_admins_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_admins_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_admins_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_admins_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_admins_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_admins_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_admins_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_admins_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_admins_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_admins_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_admins_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_admins_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_admins_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_admins_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_admins_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_admins_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_admins_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_admins_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_admins_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_admins_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_admins_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_admins_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_admins_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_admins_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_admins_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_admins_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_admins_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_admins_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_admins_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_admins_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_admins_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_admins_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_admins_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_admins_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_admins_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_admins_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_admins_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_admins_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_admins_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_admins_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_admins_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_admins_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_admins_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_admins_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_admins_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_admins_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_admins_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_admins_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_admins_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_admins_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_admins_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_admins_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_admins_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_admins_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_admins_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_admins_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_admins_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_admins_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_admins_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_admins_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_admins_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_admins_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_admins_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_admins_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_admins_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_admins_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_admins_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_admins_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_admins_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_admins_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_admins_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_admins_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_admins_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_admins_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_admins_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_admins_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_admins_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_admins_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_admins_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'attending', fields=fields, **kwargs)

	def event_attending_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_attending_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_attending_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_attending_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_attending_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_attending_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_attending_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_attending_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_attending_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_attending_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_attending_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_attending_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_attending_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_attending_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_attending_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_attending_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_attending_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_attending_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_attending_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_attending_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_attending_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_attending_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_attending_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_attending_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_attending_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_attending_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_attending_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_attending_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_attending_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_attending_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_attending_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_attending_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_attending_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_attending_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_attending_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_attending_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_attending_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_attending_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_attending_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_attending_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_attending_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_attending_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_attending_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_attending_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_attending_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_attending_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_attending_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_attending_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_attending_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_attending_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_attending_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_attending_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_attending_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_attending_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_attending_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_attending_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_attending_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_attending_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_attending_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_attending_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_attending_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_attending_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_attending_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_attending_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_attending_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_attending_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_attending_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_attending_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_attending_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_attending_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_attending_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_attending_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_attending_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_attending_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_attending_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_attending_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_attending_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_attending_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_attending_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_attending_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_attending_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_attending_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_attending_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_attending_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_attending_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_attending_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_attending_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_attending_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_attending_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_attending_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_attending_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_attending_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_attending_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_attending_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_attending_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_attending_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_attending_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_attending_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_attending_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_attending_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_attending_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_attending_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_attending_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_attending_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_attending_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_attending_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_attending_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_attending_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_attending_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_attending_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_attending_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_attending_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_attending_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_attending_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_attending_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_attending_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_attending_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_attending_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_attending_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_attending_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_attending_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_attending_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_attending_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_attending_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_attending_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_attending_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_attending_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_attending_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_attending_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_attending_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_attending_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_attending_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_attending_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_attending_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_attending_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_attending_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_attending_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_attending_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_attending_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_attending_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_attending_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_attending_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_attending_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_attending_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_attending_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_attending_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_attending_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_attending_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_attending_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_attending_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_attending_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_attending_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_attending_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_attending_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_attending_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_attending_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_attending_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_attending_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_attending_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_attending_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_attending_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_attending_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_attending_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_attending_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_attending_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_attending_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_attending_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_attending_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_attending_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_attending_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_attending_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_attending_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_attending_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_attending_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_attending_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_attending_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_attending_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_attending_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_attending_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_attending_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_attending_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_attending_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_attending_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_attending_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_attending_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_attending_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_attending_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_attending_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_attending_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_attending_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_attending_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_attending_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_attending_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_attending_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_attending_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_attending_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_attending_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_attending_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_attending_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_attending_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_attending_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_attending_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_attending_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_attending_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_attending_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_attending_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_attending_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_attending_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_attending_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_attending_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_attending_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_attending_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_attending_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_comments(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'comments', fields=fields, **kwargs)

	def event_comments_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_comments(event_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def event_comments_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_comments(event_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def event_comments_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_comments(event_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def event_comments_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_comments(event_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def event_declined(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'declined', fields=fields, **kwargs)

	def event_declined_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_declined_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_declined_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_declined_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_declined_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_declined_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_declined_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_declined_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_declined_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_declined_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_declined_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_declined_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_declined_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_declined_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_declined_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_declined_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_declined_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_declined_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_declined_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_declined_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_declined_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_declined_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_declined_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_declined_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_declined_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_declined_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_declined_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_declined_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_declined_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_declined_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_declined_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_declined_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_declined_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_declined_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_declined_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_declined_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_declined_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_declined_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_declined_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_declined_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_declined_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_declined_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_declined_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_declined_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_declined_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_declined_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_declined_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_declined_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_declined_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_declined_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_declined_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_declined_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_declined_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_declined_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_declined_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_declined_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_declined_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_declined_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_declined_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_declined_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_declined_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_declined_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_declined_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_declined_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_declined_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_declined_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_declined_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_declined_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_declined_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_declined_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_declined_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_declined_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_declined_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_declined_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_declined_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_declined_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_declined_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_declined_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_declined_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_declined_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_declined_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_declined_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_declined_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_declined_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_declined_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_declined_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_declined_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_declined_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_declined_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_declined_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_declined_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_declined_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_declined_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_declined_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_declined_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_declined_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_declined_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_declined_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_declined_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_declined_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_declined_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_declined_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_declined_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_declined_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_declined_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_declined_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_declined_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_declined_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_declined_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_declined_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_declined_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_declined_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_declined_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_declined_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_declined_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_declined_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_declined_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_declined_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_declined_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_declined_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_declined_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_declined_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_declined_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_declined_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_declined_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_declined_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_declined_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_declined_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_declined_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_declined_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_declined_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_declined_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_declined_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_declined_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_declined_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_declined_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_declined_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_declined_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_declined_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_declined_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_declined_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_declined_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_declined_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_declined_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_declined_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_declined_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_declined_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_declined_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_declined_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_declined_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_declined_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_declined_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_declined_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_declined_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_declined_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_declined_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_declined_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_declined_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_declined_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_declined_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_declined_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_declined_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_declined_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_declined_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_declined_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_declined_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_declined_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_declined_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_declined_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_declined_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_declined_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_declined_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_declined_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_declined_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_declined_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_declined_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_declined_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_declined_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_declined_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_declined_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_declined_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_declined_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_declined_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_declined_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_declined_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_declined_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_declined_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_declined_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_declined_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_declined_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_declined_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_declined_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_declined_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_declined_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_declined_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_declined_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_declined_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_declined_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_declined_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_declined_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_declined_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_declined_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_declined_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_declined_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_declined_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_declined_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_declined_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_declined_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_declined_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_declined_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_declined_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_declined_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_declined_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'interested', fields=fields, **kwargs)

	def event_interested_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_interested_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_interested_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_interested_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_interested_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_interested_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_interested_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_interested_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_interested_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_interested_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_interested_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_interested_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_interested_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_interested_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_interested_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_interested_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_interested_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_interested_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_interested_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_interested_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_interested_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_interested_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_interested_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_interested_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_interested_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_interested_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_interested_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_interested_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_interested_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_interested_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_interested_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_interested_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_interested_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_interested_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_interested_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_interested_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_interested_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_interested_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_interested_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_interested_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_interested_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_interested_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_interested_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_interested_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_interested_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_interested_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_interested_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_interested_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_interested_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_interested_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_interested_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_interested_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_interested_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_interested_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_interested_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_interested_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_interested_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_interested_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_interested_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_interested_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_interested_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_interested_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_interested_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_interested_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_interested_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_interested_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_interested_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_interested_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_interested_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_interested_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_interested_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_interested_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_interested_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_interested_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_interested_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_interested_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_interested_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_interested_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_interested_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_interested_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_interested_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_interested_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_interested_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_interested_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_interested_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_interested_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_interested_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_interested_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_interested_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_interested_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_interested_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_interested_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_interested_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_interested_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_interested_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_interested_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_interested_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_interested_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_interested_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_interested_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_interested_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_interested_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_interested_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_interested_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_interested_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_interested_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_interested_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_interested_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_interested_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_interested_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_interested_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_interested_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_interested_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_interested_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_interested_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_interested_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_interested_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_interested_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_interested_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_interested_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_interested_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_interested_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_interested_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_interested_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_interested_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_interested_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_interested_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_interested_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_interested_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_interested_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_interested_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_interested_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_interested_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_interested_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_interested_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_interested_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_interested_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_interested_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_interested_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_interested_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_interested_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_interested_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_interested_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_interested_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_interested_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_interested_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_interested_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_interested_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_interested_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_interested_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_interested_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_interested_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_interested_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_interested_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_interested_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_interested_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_interested_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_interested_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_interested_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_interested_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_interested_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_interested_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_interested_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_interested_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_interested_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_interested_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_interested_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_interested_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_interested_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_interested_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_interested_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_interested_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_interested_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_interested_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_interested_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_interested_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_interested_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_interested_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_interested_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_interested_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_interested_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_interested_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_interested_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_interested_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_interested_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_interested_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_interested_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_interested_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_interested_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_interested_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_interested_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_interested_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_interested_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_interested_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_interested_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_interested_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_interested_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_interested_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_interested_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_interested_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_interested_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_interested_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_interested_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_interested_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_interested_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_interested_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_interested_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_interested_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_interested_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_interested_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_interested_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_interested_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_interested_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_live_videos(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'live_videos', fields=fields, **kwargs)

	def event_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_live_videos_comments_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos_comments(event_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def event_live_videos_comments_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos_comments(event_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def event_live_videos_comments_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos_comments(event_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def event_live_videos_comments_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos_comments(event_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def event_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_maybe(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'maybe', fields=fields, **kwargs)

	def event_maybe_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_maybe_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_maybe_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_maybe_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_maybe_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_maybe_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_maybe_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_maybe_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_maybe_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_maybe_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_maybe_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_maybe_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_maybe_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_maybe_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_maybe_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_maybe_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_maybe_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_maybe_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_maybe_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_maybe_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_maybe_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_maybe_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_maybe_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_maybe_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_maybe_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_maybe_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_maybe_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_maybe_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_maybe_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_maybe_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_maybe_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_maybe_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_maybe_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_maybe_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_maybe_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_maybe_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_maybe_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_maybe_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_maybe_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_maybe_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_maybe_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_maybe_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_maybe_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_maybe_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_maybe_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_maybe_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_maybe_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_maybe_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_maybe_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_maybe_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_maybe_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_maybe_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_maybe_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_maybe_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_maybe_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_maybe_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_maybe_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_maybe_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_maybe_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_maybe_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_maybe_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_maybe_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_maybe_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_maybe_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_maybe_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_maybe_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_maybe_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_maybe_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_maybe_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_maybe_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_maybe_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_maybe_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_maybe_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_maybe_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_maybe_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_maybe_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_maybe_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_maybe_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_maybe_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_maybe_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_maybe_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_maybe_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_maybe_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_maybe_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_maybe_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_maybe_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_maybe_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_maybe_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_maybe_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_maybe_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_maybe_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_maybe_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_maybe_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_maybe_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_maybe_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_maybe_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_maybe_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_maybe_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_maybe_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_maybe_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_maybe_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_maybe_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_maybe_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_maybe_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_maybe_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_maybe_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_maybe_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_maybe_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_maybe_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_maybe_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_maybe_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_maybe_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_maybe_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_maybe_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_maybe_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_maybe_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_maybe_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_maybe_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_maybe_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_maybe_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_maybe_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_maybe_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_maybe_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_maybe_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_maybe_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_maybe_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_maybe_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_maybe_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_maybe_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_maybe_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_maybe_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_maybe_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_maybe_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_maybe_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_maybe_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_maybe_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_maybe_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_maybe_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_maybe_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_maybe_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_maybe_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_maybe_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_maybe_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_maybe_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_maybe_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_maybe_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_maybe_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_maybe_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_maybe_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_maybe_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_maybe_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_maybe_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_maybe_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_maybe_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_maybe_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_maybe_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_maybe_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_maybe_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_maybe_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_maybe_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_maybe_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_maybe_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_maybe_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_maybe_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_maybe_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_maybe_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_maybe_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_maybe_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_maybe_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_maybe_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_maybe_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_maybe_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_maybe_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_maybe_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_maybe_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_maybe_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_maybe_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_maybe_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_maybe_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_maybe_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_maybe_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_maybe_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_maybe_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_maybe_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_maybe_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_maybe_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_maybe_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_maybe_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_maybe_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_maybe_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_maybe_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_maybe_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_maybe_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_maybe_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_maybe_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_maybe_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_maybe_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_maybe_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_maybe_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_maybe_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_maybe_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_maybe_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_maybe_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_maybe_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_maybe_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_maybe_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'noreply', fields=fields, **kwargs)

	def event_noreply_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_noreply_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_noreply_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_noreply_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_noreply_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_noreply_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_noreply_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_noreply_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_noreply_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_noreply_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_noreply_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_noreply_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_noreply_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_noreply_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_noreply_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_noreply_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_noreply_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_noreply_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_noreply_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_noreply_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_noreply_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_noreply_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_noreply_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_noreply_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_noreply_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_noreply_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_noreply_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_noreply_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_noreply_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_noreply_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_noreply_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_noreply_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_noreply_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_noreply_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_noreply_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_noreply_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_noreply_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_noreply_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_noreply_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_noreply_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_noreply_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_noreply_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_noreply_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_noreply_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_noreply_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_noreply_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_noreply_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_noreply_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_noreply_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_noreply_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_noreply_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_noreply_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_noreply_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_noreply_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_noreply_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_noreply_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_noreply_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_noreply_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_noreply_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_noreply_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_noreply_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_noreply_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_noreply_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_noreply_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_noreply_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_noreply_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_noreply_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_noreply_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_noreply_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_noreply_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_noreply_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_noreply_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_noreply_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_noreply_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_noreply_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_noreply_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_noreply_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_noreply_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_noreply_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_noreply_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_noreply_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_noreply_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_noreply_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_noreply_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_noreply_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_noreply_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_noreply_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_noreply_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_noreply_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_noreply_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_noreply_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_noreply_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_noreply_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_noreply_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_noreply_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_noreply_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_noreply_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_noreply_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_noreply_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_noreply_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_noreply_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_noreply_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_noreply_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_noreply_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_noreply_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_noreply_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_noreply_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_noreply_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_noreply_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_noreply_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_noreply_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_noreply_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_noreply_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_noreply_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_noreply_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_noreply_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_noreply_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_noreply_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_noreply_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_noreply_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_noreply_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_noreply_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_noreply_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_noreply_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_noreply_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_noreply_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_noreply_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_noreply_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_noreply_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_noreply_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_noreply_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_noreply_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_noreply_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_noreply_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_noreply_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_noreply_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_noreply_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_noreply_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_noreply_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_noreply_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_noreply_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_noreply_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_noreply_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_noreply_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_noreply_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_noreply_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_noreply_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_noreply_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_noreply_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_noreply_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_noreply_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_noreply_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_noreply_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_noreply_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_noreply_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_noreply_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_noreply_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_noreply_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_noreply_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_noreply_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_noreply_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_noreply_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_noreply_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_noreply_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_noreply_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_noreply_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_noreply_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_noreply_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_noreply_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_noreply_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_noreply_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_noreply_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_noreply_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_noreply_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_noreply_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_noreply_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_noreply_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_noreply_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_noreply_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_noreply_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_noreply_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_noreply_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_noreply_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_noreply_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_noreply_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_noreply_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_noreply_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_noreply_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_noreply_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_noreply_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_noreply_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_noreply_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_noreply_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_noreply_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_noreply_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_noreply_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_noreply_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_noreply_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_noreply_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_noreply_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_noreply_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_noreply_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_noreply_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_noreply_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_noreply_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_noreply_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_photos(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'photos', fields=fields, **kwargs)

	def event_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_photos_sharedposts_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_photos_sharedposts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_photos_sharedposts_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_photos_sharedposts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_photos_sharedposts_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_photos_sharedposts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_photos_sharedposts_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sharedposts(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_photos_sponsor_tags_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_photos_sponsor_tags_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_photos_sponsor_tags_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_photos_sponsor_tags_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_photos_sponsor_tags_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_photos_sponsor_tags_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_photos_sponsor_tags_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_photos_sponsor_tags_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_photos_sponsor_tags_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_photos_sponsor_tags_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_photos_sponsor_tags_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_photos_sponsor_tags_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_photos_sponsor_tags_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_photos_sponsor_tags_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_photos_sponsor_tags_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_photos_sponsor_tags_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_photos_sponsor_tags_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_photos_sponsor_tags_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_photos_sponsor_tags_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_photos_sponsor_tags_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_photos_sponsor_tags_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_photos_sponsor_tags_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_photos_sponsor_tags_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_photos_sponsor_tags_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_photos_sponsor_tags_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_photos_sponsor_tags_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_photos_sponsor_tags_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_photos_sponsor_tags_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_photos_sponsor_tags_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_photos_sponsor_tags_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_photos_sponsor_tags_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_photos_sponsor_tags_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_photos_sponsor_tags_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_photos_sponsor_tags_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_photos_sponsor_tags_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_photos_sponsor_tags_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_photos_sponsor_tags_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_photos_sponsor_tags_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_photos_sponsor_tags_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_photos_sponsor_tags_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_photos_sponsor_tags_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_photos_sponsor_tags_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_photos_sponsor_tags_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_photos_sponsor_tags_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_photos_sponsor_tags_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_photos_sponsor_tags_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_photos_sponsor_tags_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_photos_sponsor_tags_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_photos_sponsor_tags_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_photos_sponsor_tags_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_photos_sponsor_tags_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_photos_sponsor_tags_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_photos_sponsor_tags_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_photos_sponsor_tags_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_photos_sponsor_tags_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_photos_sponsor_tags_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_photos_sponsor_tags_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_photos_sponsor_tags_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_photos_sponsor_tags_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_photos_sponsor_tags_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_photos_sponsor_tags_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_photos_sponsor_tags_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_photos_sponsor_tags_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_photos_sponsor_tags_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_photos_sponsor_tags_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_photos_sponsor_tags_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_sponsor_tags(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_photos_comments_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_comments(event_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def event_photos_comments_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_comments(event_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def event_photos_comments_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_comments(event_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def event_photos_comments_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_photos_comments(event_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def event_picture(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'picture', fields=fields, **kwargs)

	def event_roles(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'roles', fields=fields, **kwargs)

	def event_roles_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_albums_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_picture, fields=fields, **kwargs)

	def event_roles_albums_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_photos, fields=fields, **kwargs)

	def event_roles_albums_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def event_roles_albums_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_likes, fields=fields, **kwargs)

	def event_roles_albums_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def event_roles_albums_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_albums(event_id), 'id', self.album_comments, fields=fields, **kwargs)

	def event_roles_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_events_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_admins, fields=fields, **kwargs)

	def event_roles_events_attending(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_attending, fields=fields, **kwargs)

	def event_roles_events_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_comments, fields=fields, **kwargs)

	def event_roles_events_declined(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_declined, fields=fields, **kwargs)

	def event_roles_events_interested(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_interested, fields=fields, **kwargs)

	def event_roles_events_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def event_roles_events_maybe(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def event_roles_events_noreply(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def event_roles_events_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_photos, fields=fields, **kwargs)

	def event_roles_events_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_picture, fields=fields, **kwargs)

	def event_roles_events_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_roles, fields=fields, **kwargs)

	def event_roles_events_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_videos, fields=fields, **kwargs)

	def event_roles_events_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_events(event_id), 'id', self.event_feed, fields=fields, **kwargs)

	def event_roles_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_family_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_family_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_family_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_family_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_family_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_family_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_family_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_family_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_family_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_family_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_family_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_family_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_family_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_family_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_family_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_family_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_family_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_family_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_family_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_family_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_family_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_family_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_family_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_family_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_family_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_family_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_family_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_family_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_family_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_family_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_family_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_family_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_family_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_family_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_family_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_family_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_family_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_family_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_family_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_family_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_family_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_family_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_family_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_family_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_family_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_family_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_family_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_family_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_family_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_family_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_family_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_family_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_family_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_family_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_family_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_family_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_family_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_family_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_family_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_family_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_family_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_family_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_family_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_family_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_family_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_family_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_family_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_family_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_family(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_groups_admins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_admins, fields=fields, **kwargs)

	def event_roles_groups_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_albums, fields=fields, **kwargs)

	def event_roles_groups_docs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_docs, fields=fields, **kwargs)

	def event_roles_groups_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_events, fields=fields, **kwargs)

	def event_roles_groups_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_feed, fields=fields, **kwargs)

	def event_roles_groups_files(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_files, fields=fields, **kwargs)

	def event_roles_groups_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def event_roles_groups_members(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_members, fields=fields, **kwargs)

	def event_roles_groups_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_photos, fields=fields, **kwargs)

	def event_roles_groups_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_groups(event_id), 'id', self.group_videos, fields=fields, **kwargs)

	def event_roles_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_likes_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_roles_likes_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_roles_likes_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_roles_likes_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_roles_likes_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_roles_likes_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_roles_likes_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_roles_likes_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_roles_likes_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_roles_likes_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_roles_likes_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_roles_likes_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_roles_likes_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_roles_likes_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_roles_likes_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_roles_likes_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_roles_likes_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_roles_likes_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_roles_likes_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_roles_likes_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_roles_likes_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_roles_likes_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_roles_likes_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_roles_likes_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_roles_likes_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_roles_likes_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_roles_likes_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_roles_likes_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_roles_likes_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_roles_likes_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_roles_likes_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_roles_likes_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_roles_likes_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_roles_likes_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_roles_likes_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_roles_likes_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_roles_likes_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_roles_likes_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_roles_likes_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_roles_likes_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_roles_likes_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_roles_likes_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_roles_likes_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_roles_likes_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_roles_likes_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_roles_likes_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_roles_likes_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_roles_likes_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_roles_likes_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_roles_likes_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_roles_likes_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_roles_likes_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_roles_likes_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_roles_likes_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_roles_likes_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_roles_likes_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_roles_likes_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_roles_likes_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_roles_likes_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_roles_likes_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_roles_likes_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_roles_likes_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_roles_likes_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_roles_likes_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_roles_likes_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_roles_likes_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_roles_likes_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_roles_likes_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_roles_likes_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_roles_likes_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_roles_likes_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_roles_likes_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_roles_likes_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_roles_likes_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_roles_likes_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_roles_likes_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_roles_likes_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_roles_likes_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_roles_likes_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_likes(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_roles_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_live_videos_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_live_videos(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_roles_live_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_live_videos(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_roles_live_videos_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_live_videos(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_roles_live_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_live_videos(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_roles_live_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_live_videos(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_roles_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_photos_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def event_roles_photos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def event_roles_photos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def event_roles_photos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def event_roles_photos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def event_roles_photos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def event_roles_photos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_photos(event_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def event_roles_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_taggable_friends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_taggable_friends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_taggable_friends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_taggable_friends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_taggable_friends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_taggable_friends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_taggable_friends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_taggable_friends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_taggable_friends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_taggable_friends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_taggable_friends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_taggable_friends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_taggable_friends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_taggable_friends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_taggable_friends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_taggable_friends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_taggable_friends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_taggable_friends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_taggable_friends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_taggable_friends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_taggable_friends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_taggable_friends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_taggable_friends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_taggable_friends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_taggable_friends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_taggable_friends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_taggable_friends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_taggable_friends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_taggable_friends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_taggable_friends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_taggable_friends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_taggable_friends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_taggable_friends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_taggable_friends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_taggable_friends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_taggable_friends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_taggable_friends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_taggable_friends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_taggable_friends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_taggable_friends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_taggable_friends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_taggable_friends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_taggable_friends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_taggable_friends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_taggable_friends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_taggable_friends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_taggable_friends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_taggable_friends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_taggable_friends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_taggable_friends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_taggable_friends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_taggable_friends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_taggable_friends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_taggable_friends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_taggable_friends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_taggable_friends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_taggable_friends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_taggable_friends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_taggable_friends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_taggable_friends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_taggable_friends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_taggable_friends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_taggable_friends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_taggable_friends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_taggable_friends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_taggable_friends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_taggable_friends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_taggable_friends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_taggable_friends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_video_broadcasts_blocked_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_video_broadcasts(event_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def event_roles_video_broadcasts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_video_broadcasts(event_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def event_roles_video_broadcasts_errors(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_video_broadcasts(event_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def event_roles_video_broadcasts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_video_broadcasts(event_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def event_roles_video_broadcasts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_video_broadcasts(event_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def event_roles_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_roles_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_roles_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_roles_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_roles_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_roles_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_roles_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_roles_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_roles_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_roles_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_roles_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_roles_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_roles_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_roles_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_roles_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_roles_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_roles_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_roles_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_roles_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_mutualfriends_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_mutualfriends_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_mutualfriends_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_mutualfriends_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_mutualfriends_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_mutualfriends_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_mutualfriends_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_mutualfriends_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_mutualfriends_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_mutualfriends_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_mutualfriends_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_mutualfriends_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_mutualfriends_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_mutualfriends_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_mutualfriends_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_mutualfriends_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_mutualfriends_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_mutualfriends_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_mutualfriends_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_mutualfriends_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_mutualfriends_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_mutualfriends_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_mutualfriends_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_mutualfriends_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_mutualfriends_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_mutualfriends_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_mutualfriends_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_mutualfriends_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_mutualfriends_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_mutualfriends_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_mutualfriends_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_mutualfriends_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_mutualfriends_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_mutualfriends_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_mutualfriends_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_mutualfriends_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_mutualfriends_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_mutualfriends_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_mutualfriends_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_mutualfriends_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_mutualfriends_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_mutualfriends_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_mutualfriends_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_mutualfriends_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_mutualfriends_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_mutualfriends_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_mutualfriends_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_mutualfriends_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_mutualfriends_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_mutualfriends_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_mutualfriends_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_mutualfriends_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_mutualfriends_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_mutualfriends_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_mutualfriends_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_mutualfriends_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_mutualfriends_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_mutualfriends_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_mutualfriends_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_mutualfriends_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_mutualfriends_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_mutualfriends_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_mutualfriends_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_mutualfriends_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_mutualfriends_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_mutualfriends_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_mutualfriends_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_mutualfriends_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_mutualfriends(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_subscribers_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_subscribers_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_subscribers_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_subscribers_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_subscribers_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_subscribers_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_subscribers_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_subscribers_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_subscribers_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_subscribers_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_subscribers_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_subscribers_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_subscribers_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_subscribers_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_subscribers_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_subscribers_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_subscribers_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_subscribers_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_subscribers_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_subscribers_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_subscribers_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_subscribers_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_subscribers_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_subscribers_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_subscribers_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_subscribers_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_subscribers_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_subscribers_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_subscribers_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_subscribers_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_subscribers_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_subscribers_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_subscribers_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_subscribers_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_subscribers_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_subscribers_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_subscribers_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_subscribers_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_subscribers_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_subscribers_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_subscribers_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_subscribers_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_subscribers_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_subscribers_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_subscribers_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_subscribers_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_subscribers_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_subscribers_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_subscribers_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_subscribers_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_subscribers_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_subscribers_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_subscribers_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_subscribers_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_subscribers_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_subscribers_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_subscribers_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_subscribers_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_subscribers_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_subscribers_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_subscribers_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_subscribers_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_subscribers_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_subscribers_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_subscribers_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_subscribers_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_subscribers_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_subscribers_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribers(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_roles_subscribedto_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def event_roles_subscribedto_achievements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def event_roles_subscribedto_ad_studies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def event_roles_subscribedto_adaccounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def event_roles_subscribedto_adcontracts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def event_roles_subscribedto_adnetworkanalytics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def event_roles_subscribedto_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_albums, fields=fields, **kwargs)

	def event_roles_subscribedto_apprequestformerrecipients(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def event_roles_subscribedto_apprequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def event_roles_subscribedto_asset3ds(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def event_roles_subscribedto_assigned_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def event_roles_subscribedto_assigned_monetization_properties(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def event_roles_subscribedto_assigned_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def event_roles_subscribedto_assigned_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def event_roles_subscribedto_books(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_books, fields=fields, **kwargs)

	def event_roles_subscribedto_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def event_roles_subscribedto_business_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def event_roles_subscribedto_businesses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def event_roles_subscribedto_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def event_roles_subscribedto_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def event_roles_subscribedto_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_domains, fields=fields, **kwargs)

	def event_roles_subscribedto_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_events, fields=fields, **kwargs)

	def event_roles_subscribedto_family(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_family, fields=fields, **kwargs)

	def event_roles_subscribedto_favorite_requests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def event_roles_subscribedto_friendlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def event_roles_subscribedto_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_friends, fields=fields, **kwargs)

	def event_roles_subscribedto_games(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_games, fields=fields, **kwargs)

	def event_roles_subscribedto_groups(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_groups, fields=fields, **kwargs)

	def event_roles_subscribedto_ids_for_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def event_roles_subscribedto_ids_for_business(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def event_roles_subscribedto_ids_for_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def event_roles_subscribedto_invitable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def event_roles_subscribedto_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def event_roles_subscribedto_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_likes, fields=fields, **kwargs)

	def event_roles_subscribedto_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def event_roles_subscribedto_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def event_roles_subscribedto_movies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_movies, fields=fields, **kwargs)

	def event_roles_subscribedto_music(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_music, fields=fields, **kwargs)

	def event_roles_subscribedto_objects(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_objects, fields=fields, **kwargs)

	def event_roles_subscribedto_permissions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def event_roles_subscribedto_personal_ad_accounts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def event_roles_subscribedto_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_photos, fields=fields, **kwargs)

	def event_roles_subscribedto_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_picture, fields=fields, **kwargs)

	def event_roles_subscribedto_promotable_domains(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def event_roles_subscribedto_promotable_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def event_roles_subscribedto_request_history(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def event_roles_subscribedto_rich_media_documents(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def event_roles_subscribedto_session_keys(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def event_roles_subscribedto_stream_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def event_roles_subscribedto_taggable_friends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def event_roles_subscribedto_tagged_places(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def event_roles_subscribedto_television(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_television, fields=fields, **kwargs)

	def event_roles_subscribedto_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_threads, fields=fields, **kwargs)

	def event_roles_subscribedto_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def event_roles_subscribedto_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_videos, fields=fields, **kwargs)

	def event_roles_subscribedto_checkins(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def event_roles_subscribedto_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_feed, fields=fields, **kwargs)

	def event_roles_subscribedto_friendrequests(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def event_roles_subscribedto_home(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_home, fields=fields, **kwargs)

	def event_roles_subscribedto_inbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def event_roles_subscribedto_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_locations, fields=fields, **kwargs)

	def event_roles_subscribedto_mutualfriends(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def event_roles_subscribedto_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def event_roles_subscribedto_outbox(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def event_roles_subscribedto_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_questions, fields=fields, **kwargs)

	def event_roles_subscribedto_scores(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_scores, fields=fields, **kwargs)

	def event_roles_subscribedto_subscribers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def event_roles_subscribedto_subscribedto(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_roles_subscribedto(event_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def event_videos(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'videos', fields=fields, **kwargs)

	def event_videos_auto_generated_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def event_videos_captions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_captions, fields=fields, **kwargs)

	def event_videos_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_comments, fields=fields, **kwargs)

	def event_videos_comments_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_comments(event_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def event_videos_comments_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_comments(event_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def event_videos_comments_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_comments(event_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def event_videos_comments_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_comments(event_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_admin_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_albums(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_albums, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_assigned_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_audio_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_bc_sponsored_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_blocked(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_broadcast_messages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_business_activities(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_call_to_actions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_canvas_elements(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_canvases(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_checkin_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_claimed_urls(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_conversations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_crosspost_pending_approval_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_crosspost_whitelisted_pages(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_curated_collections(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_events(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_events, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_featured_videos_collection(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_feed(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_feed, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_global_brand_children(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_insights, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_instant_articles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_instant_articles_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_labels(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_labels, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_conditional_questions_group(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_context_cards(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_draft_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_forms(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_legal_content(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_qualifiers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_leadgen_whitelisted_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_likes, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_live_encoders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_live_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_locations(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_locations, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_media_fingerprints(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_messenger_profile(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_milestones(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_nativeoffers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_offers_v3(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_pending_users(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_photos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_photos, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_picture(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_picture, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_place_topics(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_product_catalogs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_promotable_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_published_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_ratings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_restaurant_orders(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_roles(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_roles, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_saved_filters(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_saved_message_responses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_scheduled_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_screennames(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_seasons(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_secondary_receivers(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_settings, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_show_playlists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_subscribed_apps(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_tabs(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_tagged(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_thread_settings(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_threads(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_threads, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_tours(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_tours, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_video_broadcasts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_video_copyright_rules(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_video_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_video_lists(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_video_media_copyrights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_videos(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_videos, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_videos_you_can_use(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_visitor_posts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_workflows(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_notes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_notes, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_notifications(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_questions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_questions, fields=fields, **kwargs)

	def event_videos_crosspost_shared_pages_statuses(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_crosspost_shared_pages(event_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def event_videos_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_likes, fields=fields, **kwargs)

	def event_videos_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def event_videos_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def event_videos_sharedposts_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_videos_sharedposts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_videos_sharedposts_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_videos_sharedposts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_videos_sharedposts_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_videos_sharedposts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_videos_sharedposts_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos_sharedposts(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_videos_sponsor_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def event_videos_tags(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_tags, fields=fields, **kwargs)

	def event_videos_thumbnails(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def event_videos_video_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_videos(event_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def event_feed(self, event_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, event_id, 'feed', fields=fields, **kwargs)

	def event_feed_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_feed_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_feed_comments_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_comments(event_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def event_feed_comments_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_comments(event_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def event_feed_comments_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_comments(event_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def event_feed_comments_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_comments(event_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def event_feed_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_feed_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_feed_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_feed_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_feed_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def event_feed_sharedposts_attachments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def event_feed_sharedposts_comments(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_comments, fields=fields, **kwargs)

	def event_feed_sharedposts_insights(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_insights, fields=fields, **kwargs)

	def event_feed_sharedposts_likes(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_likes, fields=fields, **kwargs)

	def event_feed_sharedposts_private_replies(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def event_feed_sharedposts_reactions(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def event_feed_sharedposts_sharedposts(self, event_id, fields=None, **kwargs):
		return self.iter_iter(self.event_feed_sharedposts(event_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group(self, group_id, fields=None, **kwargs):
		return self.SingleIter(self.api.node_edge, group_id, fields=fields, **kwargs)

	def group_admins(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'admins', fields=fields, **kwargs)

	def group_admins_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_albums_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_picture, fields=fields, **kwargs)

	def group_admins_albums_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_photos, fields=fields, **kwargs)

	def group_admins_albums_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def group_admins_albums_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_likes, fields=fields, **kwargs)

	def group_admins_albums_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def group_admins_albums_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_albums(group_id), 'id', self.album_comments, fields=fields, **kwargs)

	def group_admins_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_events_admins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_admins, fields=fields, **kwargs)

	def group_admins_events_attending(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_attending, fields=fields, **kwargs)

	def group_admins_events_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_comments, fields=fields, **kwargs)

	def group_admins_events_declined(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_declined, fields=fields, **kwargs)

	def group_admins_events_interested(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_interested, fields=fields, **kwargs)

	def group_admins_events_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def group_admins_events_maybe(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def group_admins_events_noreply(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def group_admins_events_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_photos, fields=fields, **kwargs)

	def group_admins_events_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_picture, fields=fields, **kwargs)

	def group_admins_events_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_roles, fields=fields, **kwargs)

	def group_admins_events_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_videos, fields=fields, **kwargs)

	def group_admins_events_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_events(group_id), 'id', self.event_feed, fields=fields, **kwargs)

	def group_admins_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_family_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_family_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_family_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_family_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_family_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_family_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_family_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_family_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_family_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_family_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_family_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_family_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_family_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_family_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_family_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_family_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_family_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_family_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_family_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_family_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_family_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_family_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_family_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_family_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_family_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_family_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_family_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_family_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_family_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_family_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_family_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_family_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_family_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_family_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_family_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_family_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_family_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_family_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_family_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_family_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_family_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_family_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_family_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_family_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_family_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_family_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_family_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_family_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_family_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_family_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_family_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_family_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_family_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_family_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_family_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_family_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_family_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_family_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_family_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_family_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_family_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_family_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_family_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_family_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_family_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_family_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_family_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_family_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_family(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_friends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_friends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_friends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_friends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_friends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_friends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_friends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_friends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_friends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_friends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_friends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_friends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_friends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_friends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_friends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_friends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_friends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_friends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_friends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_friends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_friends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_friends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_friends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_friends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_friends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_friends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_friends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_friends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_friends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_friends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_friends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_friends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_friends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_friends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_friends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_friends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_friends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_friends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_friends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_friends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_friends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_friends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_friends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_friends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_friends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_friends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_friends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_friends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_friends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_friends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_friends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_friends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_friends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_friends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_friends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_friends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_friends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_friends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_friends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_friends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_friends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_friends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_friends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_friends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_friends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_friends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_friends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_friends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_friends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_groups_admins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_admins, fields=fields, **kwargs)

	def group_admins_groups_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_albums, fields=fields, **kwargs)

	def group_admins_groups_docs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_docs, fields=fields, **kwargs)

	def group_admins_groups_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_events, fields=fields, **kwargs)

	def group_admins_groups_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_feed, fields=fields, **kwargs)

	def group_admins_groups_files(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_files, fields=fields, **kwargs)

	def group_admins_groups_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def group_admins_groups_members(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_members, fields=fields, **kwargs)

	def group_admins_groups_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_photos, fields=fields, **kwargs)

	def group_admins_groups_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_groups(group_id), 'id', self.group_videos, fields=fields, **kwargs)

	def group_admins_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_likes_admin_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def group_admins_likes_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_albums, fields=fields, **kwargs)

	def group_admins_likes_assigned_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def group_admins_likes_audio_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def group_admins_likes_bc_sponsored_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def group_admins_likes_blocked(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def group_admins_likes_broadcast_messages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def group_admins_likes_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def group_admins_likes_call_to_actions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def group_admins_likes_canvas_elements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def group_admins_likes_canvases(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def group_admins_likes_checkin_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def group_admins_likes_claimed_urls(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def group_admins_likes_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def group_admins_likes_crosspost_pending_approval_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def group_admins_likes_crosspost_whitelisted_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def group_admins_likes_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def group_admins_likes_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_events, fields=fields, **kwargs)

	def group_admins_likes_featured_videos_collection(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def group_admins_likes_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_feed, fields=fields, **kwargs)

	def group_admins_likes_global_brand_children(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def group_admins_likes_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_insights, fields=fields, **kwargs)

	def group_admins_likes_instant_articles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def group_admins_likes_instant_articles_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def group_admins_likes_labels(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_labels, fields=fields, **kwargs)

	def group_admins_likes_leadgen_conditional_questions_group(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def group_admins_likes_leadgen_context_cards(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def group_admins_likes_leadgen_draft_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def group_admins_likes_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def group_admins_likes_leadgen_legal_content(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def group_admins_likes_leadgen_qualifiers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def group_admins_likes_leadgen_whitelisted_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def group_admins_likes_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_likes, fields=fields, **kwargs)

	def group_admins_likes_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def group_admins_likes_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def group_admins_likes_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_locations, fields=fields, **kwargs)

	def group_admins_likes_media_fingerprints(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def group_admins_likes_messenger_profile(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def group_admins_likes_milestones(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def group_admins_likes_nativeoffers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def group_admins_likes_offers_v3(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def group_admins_likes_pending_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def group_admins_likes_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_photos, fields=fields, **kwargs)

	def group_admins_likes_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_picture, fields=fields, **kwargs)

	def group_admins_likes_place_topics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def group_admins_likes_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_posts, fields=fields, **kwargs)

	def group_admins_likes_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def group_admins_likes_promotable_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def group_admins_likes_published_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def group_admins_likes_ratings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def group_admins_likes_restaurant_orders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def group_admins_likes_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_roles, fields=fields, **kwargs)

	def group_admins_likes_saved_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def group_admins_likes_saved_message_responses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def group_admins_likes_scheduled_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def group_admins_likes_screennames(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def group_admins_likes_seasons(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def group_admins_likes_secondary_receivers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def group_admins_likes_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_settings, fields=fields, **kwargs)

	def group_admins_likes_show_playlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def group_admins_likes_subscribed_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def group_admins_likes_tabs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def group_admins_likes_tagged(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def group_admins_likes_thread_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def group_admins_likes_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_threads, fields=fields, **kwargs)

	def group_admins_likes_tours(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_tours, fields=fields, **kwargs)

	def group_admins_likes_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def group_admins_likes_video_copyright_rules(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def group_admins_likes_video_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def group_admins_likes_video_lists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def group_admins_likes_video_media_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def group_admins_likes_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_videos, fields=fields, **kwargs)

	def group_admins_likes_videos_you_can_use(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def group_admins_likes_visitor_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def group_admins_likes_workflows(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def group_admins_likes_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_notes, fields=fields, **kwargs)

	def group_admins_likes_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def group_admins_likes_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_questions, fields=fields, **kwargs)

	def group_admins_likes_statuses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_likes(group_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def group_admins_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_live_videos_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_live_videos(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_admins_live_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_live_videos(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_admins_live_videos_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_live_videos(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_admins_live_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_live_videos(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_admins_live_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_live_videos(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_admins_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_photos_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def group_admins_photos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def group_admins_photos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def group_admins_photos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def group_admins_photos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def group_admins_photos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def group_admins_photos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_photos(group_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def group_admins_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_taggable_friends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_taggable_friends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_taggable_friends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_taggable_friends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_taggable_friends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_taggable_friends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_taggable_friends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_taggable_friends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_taggable_friends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_taggable_friends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_taggable_friends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_taggable_friends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_taggable_friends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_taggable_friends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_taggable_friends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_taggable_friends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_taggable_friends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_taggable_friends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_taggable_friends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_taggable_friends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_taggable_friends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_taggable_friends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_taggable_friends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_taggable_friends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_taggable_friends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_taggable_friends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_taggable_friends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_taggable_friends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_taggable_friends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_taggable_friends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_taggable_friends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_taggable_friends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_taggable_friends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_taggable_friends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_taggable_friends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_taggable_friends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_taggable_friends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_taggable_friends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_taggable_friends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_taggable_friends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_taggable_friends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_taggable_friends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_taggable_friends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_taggable_friends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_taggable_friends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_taggable_friends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_taggable_friends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_taggable_friends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_taggable_friends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_taggable_friends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_taggable_friends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_taggable_friends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_taggable_friends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_taggable_friends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_taggable_friends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_taggable_friends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_taggable_friends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_taggable_friends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_taggable_friends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_taggable_friends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_taggable_friends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_taggable_friends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_taggable_friends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_taggable_friends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_taggable_friends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_taggable_friends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_taggable_friends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_taggable_friends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_taggable_friends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_video_broadcasts_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_video_broadcasts(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_admins_video_broadcasts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_video_broadcasts(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_admins_video_broadcasts_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_video_broadcasts(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_admins_video_broadcasts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_video_broadcasts(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_admins_video_broadcasts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_video_broadcasts(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_admins_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_videos_auto_generated_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def group_admins_videos_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_captions, fields=fields, **kwargs)

	def group_admins_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_comments, fields=fields, **kwargs)

	def group_admins_videos_crosspost_shared_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def group_admins_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_likes, fields=fields, **kwargs)

	def group_admins_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def group_admins_videos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def group_admins_videos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def group_admins_videos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_tags, fields=fields, **kwargs)

	def group_admins_videos_thumbnails(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def group_admins_videos_video_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_videos(group_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def group_admins_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_feed_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_admins_feed_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_admins_feed_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_admins_feed_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_admins_feed_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_admins_feed_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_admins_feed_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_feed(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_admins_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_mutualfriends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_mutualfriends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_mutualfriends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_mutualfriends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_mutualfriends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_mutualfriends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_mutualfriends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_mutualfriends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_mutualfriends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_mutualfriends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_mutualfriends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_mutualfriends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_mutualfriends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_mutualfriends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_mutualfriends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_mutualfriends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_mutualfriends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_mutualfriends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_mutualfriends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_mutualfriends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_mutualfriends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_mutualfriends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_mutualfriends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_mutualfriends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_mutualfriends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_mutualfriends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_mutualfriends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_mutualfriends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_mutualfriends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_mutualfriends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_mutualfriends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_mutualfriends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_mutualfriends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_mutualfriends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_mutualfriends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_mutualfriends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_mutualfriends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_mutualfriends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_mutualfriends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_mutualfriends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_mutualfriends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_mutualfriends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_mutualfriends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_mutualfriends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_mutualfriends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_mutualfriends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_mutualfriends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_mutualfriends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_mutualfriends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_mutualfriends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_mutualfriends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_mutualfriends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_mutualfriends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_mutualfriends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_mutualfriends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_mutualfriends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_mutualfriends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_mutualfriends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_mutualfriends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_mutualfriends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_mutualfriends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_mutualfriends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_mutualfriends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_mutualfriends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_mutualfriends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_mutualfriends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_mutualfriends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_mutualfriends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_mutualfriends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_subscribers_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_subscribers_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_subscribers_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_subscribers_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_subscribers_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_subscribers_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_subscribers_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_subscribers_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_subscribers_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_subscribers_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_subscribers_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_subscribers_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_subscribers_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_subscribers_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_subscribers_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_subscribers_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_subscribers_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_subscribers_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_subscribers_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_subscribers_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_subscribers_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_subscribers_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_subscribers_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_subscribers_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_subscribers_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_subscribers_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_subscribers_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_subscribers_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_subscribers_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_subscribers_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_subscribers_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_subscribers_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_subscribers_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_subscribers_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_subscribers_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_subscribers_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_subscribers_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_subscribers_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_subscribers_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_subscribers_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_subscribers_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_subscribers_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_subscribers_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_subscribers_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_subscribers_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_subscribers_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_subscribers_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_subscribers_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_subscribers_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_subscribers_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_subscribers_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_subscribers_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_subscribers_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_subscribers_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_subscribers_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_subscribers_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_subscribers_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_subscribers_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_subscribers_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_subscribers_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_subscribers_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_subscribers_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_subscribers_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_subscribers_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_subscribers_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_subscribers_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_subscribers_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_subscribers_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribers(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_admins_subscribedto_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_admins_subscribedto_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_admins_subscribedto_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_admins_subscribedto_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_admins_subscribedto_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_admins_subscribedto_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_admins_subscribedto_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_admins_subscribedto_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_admins_subscribedto_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_admins_subscribedto_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_admins_subscribedto_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_admins_subscribedto_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_admins_subscribedto_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_admins_subscribedto_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_admins_subscribedto_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_admins_subscribedto_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_admins_subscribedto_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_admins_subscribedto_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_admins_subscribedto_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_admins_subscribedto_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_admins_subscribedto_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_admins_subscribedto_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_admins_subscribedto_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_admins_subscribedto_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_admins_subscribedto_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_admins_subscribedto_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_admins_subscribedto_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_admins_subscribedto_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_admins_subscribedto_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_admins_subscribedto_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_admins_subscribedto_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_admins_subscribedto_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_admins_subscribedto_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_admins_subscribedto_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_admins_subscribedto_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_admins_subscribedto_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_admins_subscribedto_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_admins_subscribedto_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_admins_subscribedto_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_admins_subscribedto_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_admins_subscribedto_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_admins_subscribedto_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_admins_subscribedto_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_admins_subscribedto_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_admins_subscribedto_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_admins_subscribedto_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_admins_subscribedto_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_admins_subscribedto_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_admins_subscribedto_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_admins_subscribedto_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_admins_subscribedto_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_admins_subscribedto_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_admins_subscribedto_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_admins_subscribedto_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_admins_subscribedto_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_admins_subscribedto_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_admins_subscribedto_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_admins_subscribedto_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_admins_subscribedto_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_admins_subscribedto_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_admins_subscribedto_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_admins_subscribedto_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_admins_subscribedto_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_admins_subscribedto_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_admins_subscribedto_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_admins_subscribedto_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_admins_subscribedto_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_admins_subscribedto_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_admins_subscribedto(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_albums(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'albums', fields=fields, **kwargs)

	def group_albums_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_picture, fields=fields, **kwargs)

	def group_albums_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_photos, fields=fields, **kwargs)

	def group_albums_photos_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def group_albums_photos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def group_albums_photos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def group_albums_photos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def group_albums_photos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def group_albums_photos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def group_albums_photos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_photos(group_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def group_albums_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def group_albums_sharedposts_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_albums_sharedposts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_albums_sharedposts_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_albums_sharedposts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_albums_sharedposts_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_albums_sharedposts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_albums_sharedposts_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_sharedposts(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_albums_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_likes, fields=fields, **kwargs)

	def group_albums_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def group_albums_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums(group_id), 'id', self.album_comments, fields=fields, **kwargs)

	def group_albums_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_albums_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_albums_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_albums_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_albums_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_docs(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'docs', fields=fields, **kwargs)

	def group_events(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'events', fields=fields, **kwargs)

	def group_events_admins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_admins, fields=fields, **kwargs)

	def group_events_admins_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_admins_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_admins_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_admins_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_admins_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_admins_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_admins_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_admins_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_admins_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_admins_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_admins_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_admins_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_admins_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_admins_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_admins_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_admins_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_admins_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_admins_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_admins_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_admins_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_admins_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_admins_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_admins_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_admins_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_admins_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_admins_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_admins_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_admins_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_admins_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_admins_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_admins_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_admins_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_admins_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_admins_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_admins_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_admins_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_admins_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_admins_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_admins_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_admins_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_admins_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_admins_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_admins_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_admins_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_admins_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_admins_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_admins_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_admins_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_admins_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_admins_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_admins_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_admins_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_admins_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_admins_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_admins_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_admins_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_admins_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_admins_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_admins_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_admins_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_admins_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_admins_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_admins_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_admins_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_admins_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_admins_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_admins_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_admins_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_admins(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_attending(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_attending, fields=fields, **kwargs)

	def group_events_attending_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_attending_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_attending_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_attending_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_attending_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_attending_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_attending_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_attending_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_attending_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_attending_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_attending_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_attending_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_attending_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_attending_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_attending_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_attending_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_attending_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_attending_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_attending_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_attending_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_attending_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_attending_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_attending_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_attending_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_attending_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_attending_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_attending_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_attending_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_attending_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_attending_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_attending_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_attending_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_attending_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_attending_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_attending_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_attending_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_attending_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_attending_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_attending_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_attending_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_attending_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_attending_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_attending_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_attending_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_attending_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_attending_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_attending_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_attending_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_attending_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_attending_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_attending_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_attending_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_attending_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_attending_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_attending_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_attending_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_attending_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_attending_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_attending_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_attending_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_attending_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_attending_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_attending_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_attending_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_attending_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_attending_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_attending_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_attending_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_attending(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_comments, fields=fields, **kwargs)

	def group_events_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_events_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_events_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_events_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_events_declined(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_declined, fields=fields, **kwargs)

	def group_events_declined_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_declined_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_declined_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_declined_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_declined_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_declined_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_declined_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_declined_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_declined_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_declined_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_declined_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_declined_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_declined_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_declined_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_declined_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_declined_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_declined_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_declined_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_declined_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_declined_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_declined_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_declined_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_declined_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_declined_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_declined_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_declined_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_declined_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_declined_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_declined_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_declined_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_declined_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_declined_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_declined_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_declined_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_declined_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_declined_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_declined_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_declined_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_declined_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_declined_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_declined_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_declined_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_declined_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_declined_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_declined_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_declined_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_declined_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_declined_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_declined_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_declined_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_declined_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_declined_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_declined_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_declined_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_declined_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_declined_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_declined_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_declined_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_declined_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_declined_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_declined_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_declined_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_declined_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_declined_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_declined_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_declined_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_declined_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_declined_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_declined(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_interested(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_interested, fields=fields, **kwargs)

	def group_events_interested_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_interested_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_interested_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_interested_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_interested_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_interested_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_interested_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_interested_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_interested_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_interested_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_interested_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_interested_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_interested_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_interested_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_interested_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_interested_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_interested_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_interested_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_interested_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_interested_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_interested_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_interested_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_interested_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_interested_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_interested_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_interested_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_interested_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_interested_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_interested_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_interested_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_interested_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_interested_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_interested_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_interested_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_interested_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_interested_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_interested_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_interested_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_interested_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_interested_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_interested_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_interested_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_interested_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_interested_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_interested_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_interested_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_interested_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_interested_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_interested_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_interested_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_interested_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_interested_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_interested_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_interested_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_interested_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_interested_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_interested_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_interested_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_interested_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_interested_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_interested_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_interested_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_interested_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_interested_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_interested_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_interested_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_interested_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_interested_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_interested(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def group_events_live_videos_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_live_videos(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_events_live_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_live_videos(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_events_live_videos_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_live_videos(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_events_live_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_live_videos(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_events_live_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_live_videos(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_events_maybe(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def group_events_maybe_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_maybe_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_maybe_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_maybe_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_maybe_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_maybe_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_maybe_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_maybe_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_maybe_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_maybe_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_maybe_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_maybe_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_maybe_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_maybe_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_maybe_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_maybe_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_maybe_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_maybe_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_maybe_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_maybe_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_maybe_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_maybe_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_maybe_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_maybe_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_maybe_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_maybe_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_maybe_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_maybe_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_maybe_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_maybe_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_maybe_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_maybe_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_maybe_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_maybe_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_maybe_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_maybe_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_maybe_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_maybe_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_maybe_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_maybe_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_maybe_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_maybe_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_maybe_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_maybe_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_maybe_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_maybe_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_maybe_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_maybe_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_maybe_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_maybe_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_maybe_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_maybe_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_maybe_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_maybe_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_maybe_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_maybe_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_maybe_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_maybe_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_maybe_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_maybe_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_maybe_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_maybe_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_maybe_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_maybe_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_maybe_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_maybe_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_maybe_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_maybe_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_maybe(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_noreply(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def group_events_noreply_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_noreply_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_noreply_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_noreply_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_noreply_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_noreply_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_noreply_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_noreply_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_noreply_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_noreply_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_noreply_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_noreply_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_noreply_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_noreply_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_noreply_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_noreply_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_noreply_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_noreply_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_noreply_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_noreply_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_noreply_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_noreply_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_noreply_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_noreply_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_noreply_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_noreply_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_noreply_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_noreply_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_noreply_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_noreply_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_noreply_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_noreply_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_noreply_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_noreply_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_noreply_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_noreply_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_noreply_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_noreply_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_noreply_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_noreply_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_noreply_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_noreply_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_noreply_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_noreply_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_noreply_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_noreply_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_noreply_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_noreply_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_noreply_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_noreply_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_noreply_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_noreply_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_noreply_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_noreply_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_noreply_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_noreply_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_noreply_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_noreply_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_noreply_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_noreply_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_noreply_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_noreply_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_noreply_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_noreply_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_noreply_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_noreply_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_noreply_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_noreply_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_noreply(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_photos, fields=fields, **kwargs)

	def group_events_photos_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def group_events_photos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def group_events_photos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def group_events_photos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def group_events_photos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def group_events_photos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def group_events_photos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_photos(group_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def group_events_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_picture, fields=fields, **kwargs)

	def group_events_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_roles, fields=fields, **kwargs)

	def group_events_roles_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_events_roles_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_events_roles_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_events_roles_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_events_roles_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_events_roles_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_events_roles_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_events_roles_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_events_roles_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_events_roles_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_events_roles_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_events_roles_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_events_roles_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_events_roles_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_events_roles_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_events_roles_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_events_roles_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_events_roles_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_events_roles_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_events_roles_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_events_roles_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_events_roles_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_events_roles_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_events_roles_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_events_roles_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_events_roles_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_events_roles_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_events_roles_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_events_roles_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_events_roles_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_events_roles_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_events_roles_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_events_roles_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_events_roles_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_events_roles_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_events_roles_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_events_roles_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_events_roles_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_events_roles_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_events_roles_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_events_roles_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_events_roles_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_events_roles_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_events_roles_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_events_roles_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_events_roles_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_events_roles_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_events_roles_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_events_roles_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_events_roles_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_events_roles_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_events_roles_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_events_roles_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_events_roles_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_events_roles_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_events_roles_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_events_roles_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_events_roles_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_events_roles_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_events_roles_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_events_roles_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_events_roles_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_events_roles_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_events_roles_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_events_roles_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_events_roles_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_events_roles_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_events_roles_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_roles(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_events_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_videos, fields=fields, **kwargs)

	def group_events_videos_auto_generated_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def group_events_videos_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_captions, fields=fields, **kwargs)

	def group_events_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_comments, fields=fields, **kwargs)

	def group_events_videos_crosspost_shared_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def group_events_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_likes, fields=fields, **kwargs)

	def group_events_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def group_events_videos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def group_events_videos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def group_events_videos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_tags, fields=fields, **kwargs)

	def group_events_videos_thumbnails(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def group_events_videos_video_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_videos(group_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def group_events_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events(group_id), 'id', self.event_feed, fields=fields, **kwargs)

	def group_events_feed_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_events_feed_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_events_feed_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_events_feed_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_events_feed_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_events_feed_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_events_feed_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_events_feed(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_feed(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'feed', fields=fields, **kwargs)

	def group_feed_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_feed_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_feed_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_feed_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_feed_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_feed_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_feed_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_feed_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_feed_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_feed_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_feed_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_feed_sharedposts_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_feed_sharedposts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_feed_sharedposts_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_feed_sharedposts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_feed_sharedposts_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_feed_sharedposts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_feed_sharedposts_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_feed_sharedposts(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_files(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'files', fields=fields, **kwargs)

	def group_live_videos(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'live_videos', fields=fields, **kwargs)

	def group_live_videos_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_live_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_live_videos_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_live_videos_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_live_videos_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_live_videos_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_live_videos_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_live_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_live_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_live_videos(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_members(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'members', fields=fields, **kwargs)

	def group_members_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_albums_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_picture, fields=fields, **kwargs)

	def group_members_albums_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_photos, fields=fields, **kwargs)

	def group_members_albums_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_sharedposts, fields=fields, **kwargs)

	def group_members_albums_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_likes, fields=fields, **kwargs)

	def group_members_albums_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_reactions, fields=fields, **kwargs)

	def group_members_albums_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_albums(group_id), 'id', self.album_comments, fields=fields, **kwargs)

	def group_members_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_events_admins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_admins, fields=fields, **kwargs)

	def group_members_events_attending(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_attending, fields=fields, **kwargs)

	def group_members_events_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_comments, fields=fields, **kwargs)

	def group_members_events_declined(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_declined, fields=fields, **kwargs)

	def group_members_events_interested(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_interested, fields=fields, **kwargs)

	def group_members_events_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_live_videos, fields=fields, **kwargs)

	def group_members_events_maybe(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_maybe, fields=fields, **kwargs)

	def group_members_events_noreply(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_noreply, fields=fields, **kwargs)

	def group_members_events_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_photos, fields=fields, **kwargs)

	def group_members_events_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_picture, fields=fields, **kwargs)

	def group_members_events_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_roles, fields=fields, **kwargs)

	def group_members_events_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_videos, fields=fields, **kwargs)

	def group_members_events_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_events(group_id), 'id', self.event_feed, fields=fields, **kwargs)

	def group_members_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_family_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_family_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_family_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_family_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_family_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_family_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_family_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_family_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_family_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_family_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_family_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_family_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_family_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_family_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_family_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_family_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_family_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_family_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_family_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_family_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_family_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_family_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_family_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_family_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_family_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_family_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_family_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_family_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_family_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_family_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_family_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_family_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_family_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_family_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_family_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_family_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_family_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_family_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_family_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_family_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_family_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_family_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_family_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_family_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_family_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_family_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_family_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_family_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_family_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_family_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_family_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_family_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_family_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_family_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_family_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_family_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_family_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_family_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_family_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_family_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_family_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_family_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_family_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_family_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_family_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_family_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_family_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_family_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_family(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_friends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_friends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_friends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_friends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_friends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_friends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_friends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_friends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_friends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_friends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_friends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_friends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_friends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_friends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_friends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_friends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_friends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_friends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_friends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_friends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_friends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_friends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_friends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_friends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_friends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_friends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_friends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_friends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_friends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_friends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_friends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_friends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_friends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_friends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_friends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_friends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_friends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_friends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_friends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_friends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_friends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_friends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_friends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_friends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_friends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_friends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_friends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_friends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_friends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_friends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_friends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_friends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_friends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_friends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_friends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_friends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_friends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_friends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_friends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_friends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_friends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_friends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_friends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_friends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_friends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_friends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_friends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_friends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_friends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_groups_admins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_admins, fields=fields, **kwargs)

	def group_members_groups_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_albums, fields=fields, **kwargs)

	def group_members_groups_docs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_docs, fields=fields, **kwargs)

	def group_members_groups_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_events, fields=fields, **kwargs)

	def group_members_groups_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_feed, fields=fields, **kwargs)

	def group_members_groups_files(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_files, fields=fields, **kwargs)

	def group_members_groups_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_live_videos, fields=fields, **kwargs)

	def group_members_groups_members(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_members, fields=fields, **kwargs)

	def group_members_groups_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_photos, fields=fields, **kwargs)

	def group_members_groups_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_groups(group_id), 'id', self.group_videos, fields=fields, **kwargs)

	def group_members_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_likes_admin_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def group_members_likes_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_albums, fields=fields, **kwargs)

	def group_members_likes_assigned_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def group_members_likes_audio_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def group_members_likes_bc_sponsored_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def group_members_likes_blocked(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def group_members_likes_broadcast_messages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def group_members_likes_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def group_members_likes_call_to_actions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def group_members_likes_canvas_elements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def group_members_likes_canvases(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def group_members_likes_checkin_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def group_members_likes_claimed_urls(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def group_members_likes_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def group_members_likes_crosspost_pending_approval_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def group_members_likes_crosspost_whitelisted_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def group_members_likes_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def group_members_likes_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_events, fields=fields, **kwargs)

	def group_members_likes_featured_videos_collection(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def group_members_likes_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_feed, fields=fields, **kwargs)

	def group_members_likes_global_brand_children(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def group_members_likes_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_insights, fields=fields, **kwargs)

	def group_members_likes_instant_articles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def group_members_likes_instant_articles_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def group_members_likes_labels(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_labels, fields=fields, **kwargs)

	def group_members_likes_leadgen_conditional_questions_group(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def group_members_likes_leadgen_context_cards(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def group_members_likes_leadgen_draft_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def group_members_likes_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def group_members_likes_leadgen_legal_content(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def group_members_likes_leadgen_qualifiers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def group_members_likes_leadgen_whitelisted_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def group_members_likes_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_likes, fields=fields, **kwargs)

	def group_members_likes_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def group_members_likes_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def group_members_likes_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_locations, fields=fields, **kwargs)

	def group_members_likes_media_fingerprints(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def group_members_likes_messenger_profile(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def group_members_likes_milestones(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def group_members_likes_nativeoffers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def group_members_likes_offers_v3(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def group_members_likes_pending_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def group_members_likes_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_photos, fields=fields, **kwargs)

	def group_members_likes_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_picture, fields=fields, **kwargs)

	def group_members_likes_place_topics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def group_members_likes_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_posts, fields=fields, **kwargs)

	def group_members_likes_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def group_members_likes_promotable_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def group_members_likes_published_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def group_members_likes_ratings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def group_members_likes_restaurant_orders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def group_members_likes_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_roles, fields=fields, **kwargs)

	def group_members_likes_saved_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def group_members_likes_saved_message_responses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def group_members_likes_scheduled_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def group_members_likes_screennames(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def group_members_likes_seasons(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def group_members_likes_secondary_receivers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def group_members_likes_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_settings, fields=fields, **kwargs)

	def group_members_likes_show_playlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def group_members_likes_subscribed_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def group_members_likes_tabs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def group_members_likes_tagged(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def group_members_likes_thread_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def group_members_likes_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_threads, fields=fields, **kwargs)

	def group_members_likes_tours(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_tours, fields=fields, **kwargs)

	def group_members_likes_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def group_members_likes_video_copyright_rules(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def group_members_likes_video_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def group_members_likes_video_lists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def group_members_likes_video_media_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def group_members_likes_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_videos, fields=fields, **kwargs)

	def group_members_likes_videos_you_can_use(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def group_members_likes_visitor_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def group_members_likes_workflows(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def group_members_likes_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_notes, fields=fields, **kwargs)

	def group_members_likes_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def group_members_likes_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_questions, fields=fields, **kwargs)

	def group_members_likes_statuses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_likes(group_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def group_members_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_live_videos_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_live_videos(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_members_live_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_live_videos(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_members_live_videos_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_live_videos(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_members_live_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_live_videos(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_members_live_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_live_videos(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_members_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_photos_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def group_members_photos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def group_members_photos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def group_members_photos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def group_members_photos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def group_members_photos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def group_members_photos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_photos(group_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def group_members_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_taggable_friends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_taggable_friends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_taggable_friends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_taggable_friends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_taggable_friends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_taggable_friends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_taggable_friends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_taggable_friends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_taggable_friends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_taggable_friends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_taggable_friends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_taggable_friends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_taggable_friends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_taggable_friends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_taggable_friends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_taggable_friends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_taggable_friends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_taggable_friends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_taggable_friends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_taggable_friends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_taggable_friends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_taggable_friends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_taggable_friends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_taggable_friends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_taggable_friends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_taggable_friends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_taggable_friends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_taggable_friends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_taggable_friends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_taggable_friends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_taggable_friends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_taggable_friends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_taggable_friends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_taggable_friends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_taggable_friends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_taggable_friends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_taggable_friends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_taggable_friends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_taggable_friends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_taggable_friends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_taggable_friends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_taggable_friends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_taggable_friends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_taggable_friends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_taggable_friends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_taggable_friends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_taggable_friends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_taggable_friends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_taggable_friends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_taggable_friends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_taggable_friends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_taggable_friends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_taggable_friends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_taggable_friends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_taggable_friends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_taggable_friends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_taggable_friends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_taggable_friends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_taggable_friends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_taggable_friends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_taggable_friends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_taggable_friends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_taggable_friends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_taggable_friends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_taggable_friends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_taggable_friends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_taggable_friends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_taggable_friends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_taggable_friends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_video_broadcasts_blocked_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_video_broadcasts(group_id), 'id', self.live_video_blocked_users, fields=fields, **kwargs)

	def group_members_video_broadcasts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_video_broadcasts(group_id), 'id', self.live_video_comments, fields=fields, **kwargs)

	def group_members_video_broadcasts_errors(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_video_broadcasts(group_id), 'id', self.live_video_errors, fields=fields, **kwargs)

	def group_members_video_broadcasts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_video_broadcasts(group_id), 'id', self.live_video_likes, fields=fields, **kwargs)

	def group_members_video_broadcasts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_video_broadcasts(group_id), 'id', self.live_video_reactions, fields=fields, **kwargs)

	def group_members_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_videos_auto_generated_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def group_members_videos_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_captions, fields=fields, **kwargs)

	def group_members_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_comments, fields=fields, **kwargs)

	def group_members_videos_crosspost_shared_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def group_members_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_likes, fields=fields, **kwargs)

	def group_members_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def group_members_videos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def group_members_videos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def group_members_videos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_tags, fields=fields, **kwargs)

	def group_members_videos_thumbnails(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def group_members_videos_video_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_videos(group_id), 'id', self.video_video_insights, fields=fields, **kwargs)

	def group_members_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_feed_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_members_feed_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_members_feed_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_members_feed_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_members_feed_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_members_feed_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_members_feed_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_feed(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_members_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_mutualfriends_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_mutualfriends_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_mutualfriends_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_mutualfriends_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_mutualfriends_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_mutualfriends_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_mutualfriends_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_mutualfriends_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_mutualfriends_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_mutualfriends_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_mutualfriends_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_mutualfriends_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_mutualfriends_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_mutualfriends_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_mutualfriends_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_mutualfriends_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_mutualfriends_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_mutualfriends_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_mutualfriends_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_mutualfriends_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_mutualfriends_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_mutualfriends_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_mutualfriends_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_mutualfriends_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_mutualfriends_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_mutualfriends_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_mutualfriends_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_mutualfriends_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_mutualfriends_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_mutualfriends_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_mutualfriends_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_mutualfriends_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_mutualfriends_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_mutualfriends_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_mutualfriends_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_mutualfriends_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_mutualfriends_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_mutualfriends_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_mutualfriends_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_mutualfriends_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_mutualfriends_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_mutualfriends_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_mutualfriends_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_mutualfriends_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_mutualfriends_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_mutualfriends_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_mutualfriends_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_mutualfriends_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_mutualfriends_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_mutualfriends_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_mutualfriends_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_mutualfriends_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_mutualfriends_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_mutualfriends_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_mutualfriends_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_mutualfriends_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_mutualfriends_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_mutualfriends_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_mutualfriends_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_mutualfriends_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_mutualfriends_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_mutualfriends_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_mutualfriends_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_mutualfriends_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_mutualfriends_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_mutualfriends_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_mutualfriends_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_mutualfriends_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_mutualfriends(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_subscribers_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_subscribers_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_subscribers_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_subscribers_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_subscribers_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_subscribers_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_subscribers_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_subscribers_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_subscribers_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_subscribers_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_subscribers_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_subscribers_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_subscribers_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_subscribers_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_subscribers_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_subscribers_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_subscribers_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_subscribers_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_subscribers_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_subscribers_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_subscribers_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_subscribers_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_subscribers_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_subscribers_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_subscribers_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_subscribers_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_subscribers_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_subscribers_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_subscribers_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_subscribers_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_subscribers_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_subscribers_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_subscribers_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_subscribers_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_subscribers_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_subscribers_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_subscribers_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_subscribers_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_subscribers_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_subscribers_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_subscribers_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_subscribers_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_subscribers_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_subscribers_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_subscribers_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_subscribers_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_subscribers_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_subscribers_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_subscribers_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_subscribers_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_subscribers_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_subscribers_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_subscribers_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_subscribers_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_subscribers_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_subscribers_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_subscribers_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_subscribers_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_subscribers_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_subscribers_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_subscribers_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_subscribers_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_subscribers_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_subscribers_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_subscribers_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_subscribers_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_subscribers_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_subscribers_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribers(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_members_subscribedto_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_accounts, fields=fields, **kwargs)

	def group_members_subscribedto_achievements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_achievements, fields=fields, **kwargs)

	def group_members_subscribedto_ad_studies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_ad_studies, fields=fields, **kwargs)

	def group_members_subscribedto_adaccounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_adaccounts, fields=fields, **kwargs)

	def group_members_subscribedto_adcontracts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_adcontracts, fields=fields, **kwargs)

	def group_members_subscribedto_adnetworkanalytics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_adnetworkanalytics, fields=fields, **kwargs)

	def group_members_subscribedto_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_albums, fields=fields, **kwargs)

	def group_members_subscribedto_apprequestformerrecipients(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_apprequestformerrecipients, fields=fields, **kwargs)

	def group_members_subscribedto_apprequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_apprequests, fields=fields, **kwargs)

	def group_members_subscribedto_asset3ds(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_asset3ds, fields=fields, **kwargs)

	def group_members_subscribedto_assigned_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_assigned_ad_accounts, fields=fields, **kwargs)

	def group_members_subscribedto_assigned_monetization_properties(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_assigned_monetization_properties, fields=fields, **kwargs)

	def group_members_subscribedto_assigned_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_assigned_pages, fields=fields, **kwargs)

	def group_members_subscribedto_assigned_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_assigned_product_catalogs, fields=fields, **kwargs)

	def group_members_subscribedto_books(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_books, fields=fields, **kwargs)

	def group_members_subscribedto_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_business_activities, fields=fields, **kwargs)

	def group_members_subscribedto_business_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_business_users, fields=fields, **kwargs)

	def group_members_subscribedto_businesses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_businesses, fields=fields, **kwargs)

	def group_members_subscribedto_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_conversations, fields=fields, **kwargs)

	def group_members_subscribedto_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_curated_collections, fields=fields, **kwargs)

	def group_members_subscribedto_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_domains, fields=fields, **kwargs)

	def group_members_subscribedto_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_events, fields=fields, **kwargs)

	def group_members_subscribedto_family(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_family, fields=fields, **kwargs)

	def group_members_subscribedto_favorite_requests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_favorite_requests, fields=fields, **kwargs)

	def group_members_subscribedto_friendlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_friendlists, fields=fields, **kwargs)

	def group_members_subscribedto_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_friends, fields=fields, **kwargs)

	def group_members_subscribedto_games(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_games, fields=fields, **kwargs)

	def group_members_subscribedto_groups(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_groups, fields=fields, **kwargs)

	def group_members_subscribedto_ids_for_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_ids_for_apps, fields=fields, **kwargs)

	def group_members_subscribedto_ids_for_business(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_ids_for_business, fields=fields, **kwargs)

	def group_members_subscribedto_ids_for_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_ids_for_pages, fields=fields, **kwargs)

	def group_members_subscribedto_invitable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_invitable_friends, fields=fields, **kwargs)

	def group_members_subscribedto_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_leadgen_forms, fields=fields, **kwargs)

	def group_members_subscribedto_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_likes, fields=fields, **kwargs)

	def group_members_subscribedto_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_live_encoders, fields=fields, **kwargs)

	def group_members_subscribedto_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_live_videos, fields=fields, **kwargs)

	def group_members_subscribedto_movies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_movies, fields=fields, **kwargs)

	def group_members_subscribedto_music(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_music, fields=fields, **kwargs)

	def group_members_subscribedto_objects(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_objects, fields=fields, **kwargs)

	def group_members_subscribedto_permissions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_permissions, fields=fields, **kwargs)

	def group_members_subscribedto_personal_ad_accounts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_personal_ad_accounts, fields=fields, **kwargs)

	def group_members_subscribedto_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_photos, fields=fields, **kwargs)

	def group_members_subscribedto_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_picture, fields=fields, **kwargs)

	def group_members_subscribedto_promotable_domains(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_promotable_domains, fields=fields, **kwargs)

	def group_members_subscribedto_promotable_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_promotable_events, fields=fields, **kwargs)

	def group_members_subscribedto_request_history(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_request_history, fields=fields, **kwargs)

	def group_members_subscribedto_rich_media_documents(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_rich_media_documents, fields=fields, **kwargs)

	def group_members_subscribedto_session_keys(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_session_keys, fields=fields, **kwargs)

	def group_members_subscribedto_stream_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_stream_filters, fields=fields, **kwargs)

	def group_members_subscribedto_taggable_friends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_taggable_friends, fields=fields, **kwargs)

	def group_members_subscribedto_tagged_places(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_tagged_places, fields=fields, **kwargs)

	def group_members_subscribedto_television(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_television, fields=fields, **kwargs)

	def group_members_subscribedto_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_threads, fields=fields, **kwargs)

	def group_members_subscribedto_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_video_broadcasts, fields=fields, **kwargs)

	def group_members_subscribedto_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_videos, fields=fields, **kwargs)

	def group_members_subscribedto_checkins(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_checkins, fields=fields, **kwargs)

	def group_members_subscribedto_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_feed, fields=fields, **kwargs)

	def group_members_subscribedto_friendrequests(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_friendrequests, fields=fields, **kwargs)

	def group_members_subscribedto_home(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_home, fields=fields, **kwargs)

	def group_members_subscribedto_inbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_inbox, fields=fields, **kwargs)

	def group_members_subscribedto_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_locations, fields=fields, **kwargs)

	def group_members_subscribedto_mutualfriends(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_mutualfriends, fields=fields, **kwargs)

	def group_members_subscribedto_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_notifications, fields=fields, **kwargs)

	def group_members_subscribedto_outbox(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_outbox, fields=fields, **kwargs)

	def group_members_subscribedto_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_questions, fields=fields, **kwargs)

	def group_members_subscribedto_scores(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_scores, fields=fields, **kwargs)

	def group_members_subscribedto_subscribers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_subscribers, fields=fields, **kwargs)

	def group_members_subscribedto_subscribedto(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_members_subscribedto(group_id), 'id', self.user_subscribedto, fields=fields, **kwargs)

	def group_photos(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'photos', fields=fields, **kwargs)

	def group_photos_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_insights, fields=fields, **kwargs)

	def group_photos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_likes, fields=fields, **kwargs)

	def group_photos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_reactions, fields=fields, **kwargs)

	def group_photos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_sharedposts, fields=fields, **kwargs)

	def group_photos_sharedposts_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_photos_sharedposts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_photos_sharedposts_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_photos_sharedposts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_photos_sharedposts_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_photos_sharedposts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_photos_sharedposts_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sharedposts(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_photos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_sponsor_tags, fields=fields, **kwargs)

	def group_photos_sponsor_tags_admin_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def group_photos_sponsor_tags_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_albums, fields=fields, **kwargs)

	def group_photos_sponsor_tags_assigned_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def group_photos_sponsor_tags_audio_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def group_photos_sponsor_tags_bc_sponsored_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_blocked(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def group_photos_sponsor_tags_broadcast_messages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def group_photos_sponsor_tags_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def group_photos_sponsor_tags_call_to_actions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def group_photos_sponsor_tags_canvas_elements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def group_photos_sponsor_tags_canvases(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def group_photos_sponsor_tags_checkin_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_claimed_urls(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def group_photos_sponsor_tags_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def group_photos_sponsor_tags_crosspost_pending_approval_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def group_photos_sponsor_tags_crosspost_whitelisted_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def group_photos_sponsor_tags_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def group_photos_sponsor_tags_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_events, fields=fields, **kwargs)

	def group_photos_sponsor_tags_featured_videos_collection(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def group_photos_sponsor_tags_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_feed, fields=fields, **kwargs)

	def group_photos_sponsor_tags_global_brand_children(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def group_photos_sponsor_tags_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_insights, fields=fields, **kwargs)

	def group_photos_sponsor_tags_instant_articles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def group_photos_sponsor_tags_instant_articles_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def group_photos_sponsor_tags_labels(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_labels, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_conditional_questions_group(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_context_cards(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_draft_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_legal_content(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_qualifiers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def group_photos_sponsor_tags_leadgen_whitelisted_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def group_photos_sponsor_tags_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_likes, fields=fields, **kwargs)

	def group_photos_sponsor_tags_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def group_photos_sponsor_tags_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def group_photos_sponsor_tags_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_locations, fields=fields, **kwargs)

	def group_photos_sponsor_tags_media_fingerprints(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def group_photos_sponsor_tags_messenger_profile(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def group_photos_sponsor_tags_milestones(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def group_photos_sponsor_tags_nativeoffers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def group_photos_sponsor_tags_offers_v3(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def group_photos_sponsor_tags_pending_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def group_photos_sponsor_tags_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_photos, fields=fields, **kwargs)

	def group_photos_sponsor_tags_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_picture, fields=fields, **kwargs)

	def group_photos_sponsor_tags_place_topics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def group_photos_sponsor_tags_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def group_photos_sponsor_tags_promotable_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_published_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_ratings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def group_photos_sponsor_tags_restaurant_orders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def group_photos_sponsor_tags_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_roles, fields=fields, **kwargs)

	def group_photos_sponsor_tags_saved_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def group_photos_sponsor_tags_saved_message_responses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def group_photos_sponsor_tags_scheduled_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_screennames(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def group_photos_sponsor_tags_seasons(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def group_photos_sponsor_tags_secondary_receivers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def group_photos_sponsor_tags_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_settings, fields=fields, **kwargs)

	def group_photos_sponsor_tags_show_playlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def group_photos_sponsor_tags_subscribed_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def group_photos_sponsor_tags_tabs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def group_photos_sponsor_tags_tagged(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def group_photos_sponsor_tags_thread_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def group_photos_sponsor_tags_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_threads, fields=fields, **kwargs)

	def group_photos_sponsor_tags_tours(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_tours, fields=fields, **kwargs)

	def group_photos_sponsor_tags_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_video_copyright_rules(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def group_photos_sponsor_tags_video_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def group_photos_sponsor_tags_video_lists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def group_photos_sponsor_tags_video_media_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def group_photos_sponsor_tags_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_videos, fields=fields, **kwargs)

	def group_photos_sponsor_tags_videos_you_can_use(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def group_photos_sponsor_tags_visitor_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def group_photos_sponsor_tags_workflows(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def group_photos_sponsor_tags_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_notes, fields=fields, **kwargs)

	def group_photos_sponsor_tags_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def group_photos_sponsor_tags_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_questions, fields=fields, **kwargs)

	def group_photos_sponsor_tags_statuses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_sponsor_tags(group_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def group_photos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_tags, fields=fields, **kwargs)

	def group_photos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos(group_id), 'id', self.photo_comments, fields=fields, **kwargs)

	def group_photos_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_photos_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_photos_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_photos_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_photos_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_videos(self, group_id, fields=None, **kwargs):
		return self.FacebookIter(self.api.node_edge, group_id, 'videos', fields=fields, **kwargs)

	def group_videos_auto_generated_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_auto_generated_captions, fields=fields, **kwargs)

	def group_videos_captions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_captions, fields=fields, **kwargs)

	def group_videos_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_comments, fields=fields, **kwargs)

	def group_videos_comments_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_comments(group_id), 'id', self.comment_comments, fields=fields, **kwargs)

	def group_videos_comments_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_comments(group_id), 'id', self.comment_likes, fields=fields, **kwargs)

	def group_videos_comments_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_comments(group_id), 'id', self.comment_reactions, fields=fields, **kwargs)

	def group_videos_comments_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_comments(group_id), 'id', self.comment_private_replies, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_crosspost_shared_pages, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_admin_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_admin_notes, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_albums(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_albums, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_assigned_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_assigned_users, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_audio_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_audio_copyrights, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_bc_sponsored_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_bc_sponsored_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_blocked(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_blocked, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_broadcast_messages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_broadcast_messages, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_business_activities(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_business_activities, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_call_to_actions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_call_to_actions, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_canvas_elements(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_canvas_elements, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_canvases(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_canvases, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_checkin_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_checkin_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_claimed_urls(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_claimed_urls, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_conversations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_conversations, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_crosspost_pending_approval_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_crosspost_pending_approval_pages, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_crosspost_whitelisted_pages(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_crosspost_whitelisted_pages, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_curated_collections(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_curated_collections, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_events(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_events, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_featured_videos_collection(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_featured_videos_collection, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_feed(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_feed, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_global_brand_children(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_global_brand_children, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_insights, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_instant_articles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_instant_articles, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_instant_articles_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_instant_articles_insights, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_labels(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_labels, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_conditional_questions_group(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_conditional_questions_group, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_context_cards(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_context_cards, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_draft_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_draft_forms, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_forms(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_forms, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_legal_content(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_legal_content, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_qualifiers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_qualifiers, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_leadgen_whitelisted_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_leadgen_whitelisted_users, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_likes, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_live_encoders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_live_encoders, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_live_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_live_videos, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_locations(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_locations, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_media_fingerprints(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_media_fingerprints, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_messenger_profile(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_messenger_profile, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_milestones(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_milestones, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_nativeoffers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_nativeoffers, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_offers_v3(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_offers_v3, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_pending_users(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_pending_users, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_photos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_photos, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_picture(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_picture, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_place_topics(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_place_topics, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_product_catalogs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_product_catalogs, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_promotable_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_promotable_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_published_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_published_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_ratings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_ratings, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_restaurant_orders(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_restaurant_orders, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_roles(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_roles, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_saved_filters(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_saved_filters, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_saved_message_responses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_saved_message_responses, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_scheduled_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_scheduled_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_screennames(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_screennames, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_seasons(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_seasons, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_secondary_receivers(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_secondary_receivers, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_settings, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_show_playlists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_show_playlists, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_subscribed_apps(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_subscribed_apps, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_tabs(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_tabs, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_tagged(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_tagged, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_thread_settings(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_thread_settings, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_threads(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_threads, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_tours(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_tours, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_video_broadcasts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_video_broadcasts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_video_copyright_rules(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_video_copyright_rules, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_video_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_video_copyrights, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_video_lists(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_video_lists, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_video_media_copyrights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_video_media_copyrights, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_videos(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_videos, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_videos_you_can_use(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_videos_you_can_use, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_visitor_posts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_visitor_posts, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_workflows(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_workflows, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_notes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_notes, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_notifications(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_notifications, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_questions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_questions, fields=fields, **kwargs)

	def group_videos_crosspost_shared_pages_statuses(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_crosspost_shared_pages(group_id), 'id', self.page_statuses, fields=fields, **kwargs)

	def group_videos_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_likes, fields=fields, **kwargs)

	def group_videos_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_reactions, fields=fields, **kwargs)

	def group_videos_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_sharedposts, fields=fields, **kwargs)

	def group_videos_sharedposts_attachments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_attachments, fields=fields, **kwargs)

	def group_videos_sharedposts_comments(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_comments, fields=fields, **kwargs)

	def group_videos_sharedposts_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_insights, fields=fields, **kwargs)

	def group_videos_sharedposts_likes(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_likes, fields=fields, **kwargs)

	def group_videos_sharedposts_private_replies(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_private_replies, fields=fields, **kwargs)

	def group_videos_sharedposts_reactions(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_reactions, fields=fields, **kwargs)

	def group_videos_sharedposts_sharedposts(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos_sharedposts(group_id), 'id', self.post_sharedposts, fields=fields, **kwargs)

	def group_videos_sponsor_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_sponsor_tags, fields=fields, **kwargs)

	def group_videos_tags(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_tags, fields=fields, **kwargs)

	def group_videos_thumbnails(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_thumbnails, fields=fields, **kwargs)

	def group_videos_video_insights(self, group_id, fields=None, **kwargs):
		return self.iter_iter(self.group_videos(group_id), 'id', self.video_video_insights, fields=fields, **kwargs)

